
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for AdministeredComponent complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AdministeredComponent">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="administeredComponentClassSchemeItemCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="administeredComponentContactCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="beginDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="changeNote" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="context" type="{urn:domain.cadsr.nci.nih.gov}Context"/>
 *         &lt;element name="createdBy" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="dateCreated" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="dateModified" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="definitionCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="deletedIndicator" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="designationCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="endDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="latestVersionIndicator" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="longName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="modifiedBy" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="origin" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="preferredDefinition" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="preferredName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="publicID" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="referenceDocumentCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="registrationStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="registrations" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="unresolvedIssue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *         &lt;element name="workflowStatusDescription" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="workflowStatusName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AdministeredComponent", propOrder = {
    "administeredComponentClassSchemeItemCollection",
    "administeredComponentContactCollection",
    "beginDate",
    "changeNote",
    "context",
    "createdBy",
    "dateCreated",
    "dateModified",
    "definitionCollection",
    "deletedIndicator",
    "designationCollection",
    "endDate",
    "id",
    "latestVersionIndicator",
    "longName",
    "modifiedBy",
    "origin",
    "preferredDefinition",
    "preferredName",
    "publicID",
    "referenceDocumentCollection",
    "registrationStatus",
    "registrations",
    "unresolvedIssue",
    "version",
    "workflowStatusDescription",
    "workflowStatusName"
})
@XmlSeeAlso({
    ClassificationSchemeItem.class,
    Instruction.class,
    DataElementConcept.class,
    Concept.class,
    Representation.class,
    ClassificationScheme.class,
    ConceptualDomain.class,
    ObjectClassRelationship.class,
    DataElement.class,
    Protocol.class,
    Property.class,
    FormElement.class,
    ObjectClass.class,
    ValueDomain.class,
    ValueMeaning.class
})
public class AdministeredComponent {

    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType administeredComponentClassSchemeItemCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType administeredComponentContactCollection;
    @XmlElement(required = true, nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar beginDate;
    @XmlElement(required = true, nillable = true)
    protected String changeNote;
    @XmlElement(required = true, nillable = true)
    protected Context context;
    @XmlElement(required = true, nillable = true)
    protected String createdBy;
    @XmlElement(required = true, nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar dateCreated;
    @XmlElement(required = true, nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar dateModified;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType definitionCollection;
    @XmlElement(required = true, nillable = true)
    protected String deletedIndicator;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType designationCollection;
    @XmlElement(required = true, nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar endDate;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, nillable = true)
    protected String latestVersionIndicator;
    @XmlElement(required = true, nillable = true)
    protected String longName;
    @XmlElement(required = true, nillable = true)
    protected String modifiedBy;
    @XmlElement(required = true, nillable = true)
    protected String origin;
    @XmlElement(required = true, nillable = true)
    protected String preferredDefinition;
    @XmlElement(required = true, nillable = true)
    protected String preferredName;
    @XmlElement(required = true, type = Long.class, nillable = true)
    protected Long publicID;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType referenceDocumentCollection;
    @XmlElement(required = true, nillable = true)
    protected String registrationStatus;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType registrations;
    @XmlElement(required = true, nillable = true)
    protected String unresolvedIssue;
    @XmlElement(required = true, type = Float.class, nillable = true)
    protected Float version;
    @XmlElement(required = true, nillable = true)
    protected String workflowStatusDescription;
    @XmlElement(required = true, nillable = true)
    protected String workflowStatusName;

    /**
     * Gets the value of the administeredComponentClassSchemeItemCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getAdministeredComponentClassSchemeItemCollection() {
        return administeredComponentClassSchemeItemCollection;
    }

    /**
     * Sets the value of the administeredComponentClassSchemeItemCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setAdministeredComponentClassSchemeItemCollection(ArrayOfXsdAnyType value) {
        this.administeredComponentClassSchemeItemCollection = value;
    }

    /**
     * Gets the value of the administeredComponentContactCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getAdministeredComponentContactCollection() {
        return administeredComponentContactCollection;
    }

    /**
     * Sets the value of the administeredComponentContactCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setAdministeredComponentContactCollection(ArrayOfXsdAnyType value) {
        this.administeredComponentContactCollection = value;
    }

    /**
     * Gets the value of the beginDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getBeginDate() {
        return beginDate;
    }

    /**
     * Sets the value of the beginDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setBeginDate(XMLGregorianCalendar value) {
        this.beginDate = value;
    }

    /**
     * Gets the value of the changeNote property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getChangeNote() {
        return changeNote;
    }

    /**
     * Sets the value of the changeNote property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setChangeNote(String value) {
        this.changeNote = value;
    }

    /**
     * Gets the value of the context property.
     * 
     * @return
     *     possible object is
     *     {@link Context }
     *     
     */
    public Context getContext() {
        return context;
    }

    /**
     * Sets the value of the context property.
     * 
     * @param value
     *     allowed object is
     *     {@link Context }
     *     
     */
    public void setContext(Context value) {
        this.context = value;
    }

    /**
     * Gets the value of the createdBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * Sets the value of the createdBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreatedBy(String value) {
        this.createdBy = value;
    }

    /**
     * Gets the value of the dateCreated property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateCreated() {
        return dateCreated;
    }

    /**
     * Sets the value of the dateCreated property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateCreated(XMLGregorianCalendar value) {
        this.dateCreated = value;
    }

    /**
     * Gets the value of the dateModified property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateModified() {
        return dateModified;
    }

    /**
     * Sets the value of the dateModified property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateModified(XMLGregorianCalendar value) {
        this.dateModified = value;
    }

    /**
     * Gets the value of the definitionCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getDefinitionCollection() {
        return definitionCollection;
    }

    /**
     * Sets the value of the definitionCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setDefinitionCollection(ArrayOfXsdAnyType value) {
        this.definitionCollection = value;
    }

    /**
     * Gets the value of the deletedIndicator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDeletedIndicator() {
        return deletedIndicator;
    }

    /**
     * Sets the value of the deletedIndicator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDeletedIndicator(String value) {
        this.deletedIndicator = value;
    }

    /**
     * Gets the value of the designationCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getDesignationCollection() {
        return designationCollection;
    }

    /**
     * Sets the value of the designationCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setDesignationCollection(ArrayOfXsdAnyType value) {
        this.designationCollection = value;
    }

    /**
     * Gets the value of the endDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getEndDate() {
        return endDate;
    }

    /**
     * Sets the value of the endDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setEndDate(XMLGregorianCalendar value) {
        this.endDate = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the latestVersionIndicator property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLatestVersionIndicator() {
        return latestVersionIndicator;
    }

    /**
     * Sets the value of the latestVersionIndicator property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLatestVersionIndicator(String value) {
        this.latestVersionIndicator = value;
    }

    /**
     * Gets the value of the longName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLongName() {
        return longName;
    }

    /**
     * Sets the value of the longName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLongName(String value) {
        this.longName = value;
    }

    /**
     * Gets the value of the modifiedBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getModifiedBy() {
        return modifiedBy;
    }

    /**
     * Sets the value of the modifiedBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setModifiedBy(String value) {
        this.modifiedBy = value;
    }

    /**
     * Gets the value of the origin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOrigin() {
        return origin;
    }

    /**
     * Sets the value of the origin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOrigin(String value) {
        this.origin = value;
    }

    /**
     * Gets the value of the preferredDefinition property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPreferredDefinition() {
        return preferredDefinition;
    }

    /**
     * Sets the value of the preferredDefinition property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPreferredDefinition(String value) {
        this.preferredDefinition = value;
    }

    /**
     * Gets the value of the preferredName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPreferredName() {
        return preferredName;
    }

    /**
     * Sets the value of the preferredName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPreferredName(String value) {
        this.preferredName = value;
    }

    /**
     * Gets the value of the publicID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getPublicID() {
        return publicID;
    }

    /**
     * Sets the value of the publicID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setPublicID(Long value) {
        this.publicID = value;
    }

    /**
     * Gets the value of the referenceDocumentCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getReferenceDocumentCollection() {
        return referenceDocumentCollection;
    }

    /**
     * Sets the value of the referenceDocumentCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setReferenceDocumentCollection(ArrayOfXsdAnyType value) {
        this.referenceDocumentCollection = value;
    }

    /**
     * Gets the value of the registrationStatus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRegistrationStatus() {
        return registrationStatus;
    }

    /**
     * Sets the value of the registrationStatus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRegistrationStatus(String value) {
        this.registrationStatus = value;
    }

    /**
     * Gets the value of the registrations property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getRegistrations() {
        return registrations;
    }

    /**
     * Sets the value of the registrations property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setRegistrations(ArrayOfXsdAnyType value) {
        this.registrations = value;
    }

    /**
     * Gets the value of the unresolvedIssue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUnresolvedIssue() {
        return unresolvedIssue;
    }

    /**
     * Sets the value of the unresolvedIssue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUnresolvedIssue(String value) {
        this.unresolvedIssue = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setVersion(Float value) {
        this.version = value;
    }

    /**
     * Gets the value of the workflowStatusDescription property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getWorkflowStatusDescription() {
        return workflowStatusDescription;
    }

    /**
     * Sets the value of the workflowStatusDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setWorkflowStatusDescription(String value) {
        this.workflowStatusDescription = value;
    }

    /**
     * Gets the value of the workflowStatusName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getWorkflowStatusName() {
        return workflowStatusName;
    }

    /**
     * Sets the value of the workflowStatusName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setWorkflowStatusName(String value) {
        this.workflowStatusName = value;
    }

}
