
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for AdministeredComponentContact complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AdministeredComponentContact">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="classSchemeClassSchemeItem" type="{urn:domain.cadsr.nci.nih.gov}ClassSchemeClassSchemeItem"/>
 *         &lt;element name="contactRole" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="createdBy" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="dateCreated" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="dateModified" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="modifiedBy" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="organization" type="{urn:domain.cadsr.nci.nih.gov}Organization"/>
 *         &lt;element name="person" type="{urn:domain.cadsr.nci.nih.gov}Person"/>
 *         &lt;element name="rank" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="registrations" type="{urn:domain.cadsr.nci.nih.gov}Registration"/>
 *         &lt;element name="submissions" type="{urn:domain.cadsr.nci.nih.gov}Registration"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AdministeredComponentContact", propOrder = {
    "classSchemeClassSchemeItem",
    "contactRole",
    "createdBy",
    "dateCreated",
    "dateModified",
    "id",
    "modifiedBy",
    "organization",
    "person",
    "rank",
    "registrations",
    "submissions"
})
public class AdministeredComponentContact {

    @XmlElement(required = true, nillable = true)
    protected ClassSchemeClassSchemeItem classSchemeClassSchemeItem;
    @XmlElement(required = true, nillable = true)
    protected String contactRole;
    @XmlElement(required = true, nillable = true)
    protected String createdBy;
    @XmlElement(required = true, nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar dateCreated;
    @XmlElement(required = true, nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar dateModified;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, nillable = true)
    protected String modifiedBy;
    @XmlElement(required = true, nillable = true)
    protected Organization organization;
    @XmlElement(required = true, nillable = true)
    protected Person person;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer rank;
    @XmlElement(required = true, nillable = true)
    protected Registration registrations;
    @XmlElement(required = true, nillable = true)
    protected Registration submissions;

    /**
     * Gets the value of the classSchemeClassSchemeItem property.
     * 
     * @return
     *     possible object is
     *     {@link ClassSchemeClassSchemeItem }
     *     
     */
    public ClassSchemeClassSchemeItem getClassSchemeClassSchemeItem() {
        return classSchemeClassSchemeItem;
    }

    /**
     * Sets the value of the classSchemeClassSchemeItem property.
     * 
     * @param value
     *     allowed object is
     *     {@link ClassSchemeClassSchemeItem }
     *     
     */
    public void setClassSchemeClassSchemeItem(ClassSchemeClassSchemeItem value) {
        this.classSchemeClassSchemeItem = value;
    }

    /**
     * Gets the value of the contactRole property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getContactRole() {
        return contactRole;
    }

    /**
     * Sets the value of the contactRole property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setContactRole(String value) {
        this.contactRole = value;
    }

    /**
     * Gets the value of the createdBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * Sets the value of the createdBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreatedBy(String value) {
        this.createdBy = value;
    }

    /**
     * Gets the value of the dateCreated property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateCreated() {
        return dateCreated;
    }

    /**
     * Sets the value of the dateCreated property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateCreated(XMLGregorianCalendar value) {
        this.dateCreated = value;
    }

    /**
     * Gets the value of the dateModified property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateModified() {
        return dateModified;
    }

    /**
     * Sets the value of the dateModified property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateModified(XMLGregorianCalendar value) {
        this.dateModified = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the modifiedBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getModifiedBy() {
        return modifiedBy;
    }

    /**
     * Sets the value of the modifiedBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setModifiedBy(String value) {
        this.modifiedBy = value;
    }

    /**
     * Gets the value of the organization property.
     * 
     * @return
     *     possible object is
     *     {@link Organization }
     *     
     */
    public Organization getOrganization() {
        return organization;
    }

    /**
     * Sets the value of the organization property.
     * 
     * @param value
     *     allowed object is
     *     {@link Organization }
     *     
     */
    public void setOrganization(Organization value) {
        this.organization = value;
    }

    /**
     * Gets the value of the person property.
     * 
     * @return
     *     possible object is
     *     {@link Person }
     *     
     */
    public Person getPerson() {
        return person;
    }

    /**
     * Sets the value of the person property.
     * 
     * @param value
     *     allowed object is
     *     {@link Person }
     *     
     */
    public void setPerson(Person value) {
        this.person = value;
    }

    /**
     * Gets the value of the rank property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getRank() {
        return rank;
    }

    /**
     * Sets the value of the rank property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setRank(Integer value) {
        this.rank = value;
    }

    /**
     * Gets the value of the registrations property.
     * 
     * @return
     *     possible object is
     *     {@link Registration }
     *     
     */
    public Registration getRegistrations() {
        return registrations;
    }

    /**
     * Sets the value of the registrations property.
     * 
     * @param value
     *     allowed object is
     *     {@link Registration }
     *     
     */
    public void setRegistrations(Registration value) {
        this.registrations = value;
    }

    /**
     * Gets the value of the submissions property.
     * 
     * @return
     *     possible object is
     *     {@link Registration }
     *     
     */
    public Registration getSubmissions() {
        return submissions;
    }

    /**
     * Sets the value of the submissions property.
     * 
     * @param value
     *     allowed object is
     *     {@link Registration }
     *     
     */
    public void setSubmissions(Registration value) {
        this.submissions = value;
    }

}
