
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for ClassificationScheme complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ClassificationScheme">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:domain.cadsr.nci.nih.gov}AdministeredComponent">
 *       &lt;sequence>
 *         &lt;element name="childClassificationScheme" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="childClassificationSchemeRelationshipCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="classSchemeClassSchemeItemCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="conceptDerivationRule" type="{urn:domain.cadsr.nci.nih.gov}ConceptDerivationRule"/>
 *         &lt;element name="labelTypeFlag" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="parentClassificationScheme" type="{urn:domain.cadsr.nci.nih.gov}ClassificationScheme"/>
 *         &lt;element name="parentClassificationSchemeRelationshipCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="projectCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="type" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ClassificationScheme", propOrder = {
    "childClassificationScheme",
    "childClassificationSchemeRelationshipCollection",
    "classSchemeClassSchemeItemCollection",
    "conceptDerivationRule",
    "labelTypeFlag",
    "parentClassificationScheme",
    "parentClassificationSchemeRelationshipCollection",
    "projectCollection",
    "type"
})
public class ClassificationScheme
    extends AdministeredComponent
{

    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType childClassificationScheme;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType childClassificationSchemeRelationshipCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType classSchemeClassSchemeItemCollection;
    @XmlElement(required = true, nillable = true)
    protected ConceptDerivationRule conceptDerivationRule;
    @XmlElement(required = true, nillable = true)
    protected String labelTypeFlag;
    @XmlElement(required = true, nillable = true)
    protected ClassificationScheme parentClassificationScheme;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType parentClassificationSchemeRelationshipCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType projectCollection;
    @XmlElement(required = true, nillable = true)
    protected String type;

    /**
     * Gets the value of the childClassificationScheme property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getChildClassificationScheme() {
        return childClassificationScheme;
    }

    /**
     * Sets the value of the childClassificationScheme property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setChildClassificationScheme(ArrayOfXsdAnyType value) {
        this.childClassificationScheme = value;
    }

    /**
     * Gets the value of the childClassificationSchemeRelationshipCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getChildClassificationSchemeRelationshipCollection() {
        return childClassificationSchemeRelationshipCollection;
    }

    /**
     * Sets the value of the childClassificationSchemeRelationshipCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setChildClassificationSchemeRelationshipCollection(ArrayOfXsdAnyType value) {
        this.childClassificationSchemeRelationshipCollection = value;
    }

    /**
     * Gets the value of the classSchemeClassSchemeItemCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getClassSchemeClassSchemeItemCollection() {
        return classSchemeClassSchemeItemCollection;
    }

    /**
     * Sets the value of the classSchemeClassSchemeItemCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setClassSchemeClassSchemeItemCollection(ArrayOfXsdAnyType value) {
        this.classSchemeClassSchemeItemCollection = value;
    }

    /**
     * Gets the value of the conceptDerivationRule property.
     * 
     * @return
     *     possible object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public ConceptDerivationRule getConceptDerivationRule() {
        return conceptDerivationRule;
    }

    /**
     * Sets the value of the conceptDerivationRule property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public void setConceptDerivationRule(ConceptDerivationRule value) {
        this.conceptDerivationRule = value;
    }

    /**
     * Gets the value of the labelTypeFlag property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLabelTypeFlag() {
        return labelTypeFlag;
    }

    /**
     * Sets the value of the labelTypeFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLabelTypeFlag(String value) {
        this.labelTypeFlag = value;
    }

    /**
     * Gets the value of the parentClassificationScheme property.
     * 
     * @return
     *     possible object is
     *     {@link ClassificationScheme }
     *     
     */
    public ClassificationScheme getParentClassificationScheme() {
        return parentClassificationScheme;
    }

    /**
     * Sets the value of the parentClassificationScheme property.
     * 
     * @param value
     *     allowed object is
     *     {@link ClassificationScheme }
     *     
     */
    public void setParentClassificationScheme(ClassificationScheme value) {
        this.parentClassificationScheme = value;
    }

    /**
     * Gets the value of the parentClassificationSchemeRelationshipCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getParentClassificationSchemeRelationshipCollection() {
        return parentClassificationSchemeRelationshipCollection;
    }

    /**
     * Sets the value of the parentClassificationSchemeRelationshipCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setParentClassificationSchemeRelationshipCollection(ArrayOfXsdAnyType value) {
        this.parentClassificationSchemeRelationshipCollection = value;
    }

    /**
     * Gets the value of the projectCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getProjectCollection() {
        return projectCollection;
    }

    /**
     * Sets the value of the projectCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setProjectCollection(ArrayOfXsdAnyType value) {
        this.projectCollection = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

}
