
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for ClassificationSchemeItem complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ClassificationSchemeItem">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:domain.cadsr.nci.nih.gov}AdministeredComponent">
 *       &lt;sequence>
 *         &lt;element name="childClassificationSchemeItemRelationshipCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="classSchemeClassSchemeItemCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="conceptDerivationRule" type="{urn:domain.cadsr.nci.nih.gov}ConceptDerivationRule"/>
 *         &lt;element name="parentClassificationSchemeItemRelationshipCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="type" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ClassificationSchemeItem", propOrder = {
    "childClassificationSchemeItemRelationshipCollection",
    "classSchemeClassSchemeItemCollection",
    "conceptDerivationRule",
    "parentClassificationSchemeItemRelationshipCollection",
    "type"
})
public class ClassificationSchemeItem
    extends AdministeredComponent
{

    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType childClassificationSchemeItemRelationshipCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType classSchemeClassSchemeItemCollection;
    @XmlElement(required = true, nillable = true)
    protected ConceptDerivationRule conceptDerivationRule;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType parentClassificationSchemeItemRelationshipCollection;
    @XmlElement(required = true, nillable = true)
    protected String type;

    /**
     * Gets the value of the childClassificationSchemeItemRelationshipCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getChildClassificationSchemeItemRelationshipCollection() {
        return childClassificationSchemeItemRelationshipCollection;
    }

    /**
     * Sets the value of the childClassificationSchemeItemRelationshipCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setChildClassificationSchemeItemRelationshipCollection(ArrayOfXsdAnyType value) {
        this.childClassificationSchemeItemRelationshipCollection = value;
    }

    /**
     * Gets the value of the classSchemeClassSchemeItemCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getClassSchemeClassSchemeItemCollection() {
        return classSchemeClassSchemeItemCollection;
    }

    /**
     * Sets the value of the classSchemeClassSchemeItemCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setClassSchemeClassSchemeItemCollection(ArrayOfXsdAnyType value) {
        this.classSchemeClassSchemeItemCollection = value;
    }

    /**
     * Gets the value of the conceptDerivationRule property.
     * 
     * @return
     *     possible object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public ConceptDerivationRule getConceptDerivationRule() {
        return conceptDerivationRule;
    }

    /**
     * Sets the value of the conceptDerivationRule property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public void setConceptDerivationRule(ConceptDerivationRule value) {
        this.conceptDerivationRule = value;
    }

    /**
     * Gets the value of the parentClassificationSchemeItemRelationshipCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getParentClassificationSchemeItemRelationshipCollection() {
        return parentClassificationSchemeItemRelationshipCollection;
    }

    /**
     * Sets the value of the parentClassificationSchemeItemRelationshipCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setParentClassificationSchemeItemRelationshipCollection(ArrayOfXsdAnyType value) {
        this.parentClassificationSchemeItemRelationshipCollection = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

}
