
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ComponentConcept complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ComponentConcept">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="componentlevel" type="{urn:domain.cadsr.nci.nih.gov}ComponentLevel"/>
 *         &lt;element name="concept" type="{urn:domain.cadsr.nci.nih.gov}Concept"/>
 *         &lt;element name="derivationRule" type="{urn:domain.cadsr.nci.nih.gov}ConceptDerivationRule"/>
 *         &lt;element name="displayOrder" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="primaryFlag" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="value" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ComponentConcept", propOrder = {
    "componentlevel",
    "concept",
    "derivationRule",
    "displayOrder",
    "id",
    "primaryFlag",
    "value"
})
public class ComponentConcept {

    @XmlElement(required = true, nillable = true)
    protected ComponentLevel componentlevel;
    @XmlElement(required = true, nillable = true)
    protected Concept concept;
    @XmlElement(required = true, nillable = true)
    protected ConceptDerivationRule derivationRule;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer displayOrder;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, nillable = true)
    protected String primaryFlag;
    @XmlElement(required = true, nillable = true)
    protected String value;

    /**
     * Gets the value of the componentlevel property.
     * 
     * @return
     *     possible object is
     *     {@link ComponentLevel }
     *     
     */
    public ComponentLevel getComponentlevel() {
        return componentlevel;
    }

    /**
     * Sets the value of the componentlevel property.
     * 
     * @param value
     *     allowed object is
     *     {@link ComponentLevel }
     *     
     */
    public void setComponentlevel(ComponentLevel value) {
        this.componentlevel = value;
    }

    /**
     * Gets the value of the concept property.
     * 
     * @return
     *     possible object is
     *     {@link Concept }
     *     
     */
    public Concept getConcept() {
        return concept;
    }

    /**
     * Sets the value of the concept property.
     * 
     * @param value
     *     allowed object is
     *     {@link Concept }
     *     
     */
    public void setConcept(Concept value) {
        this.concept = value;
    }

    /**
     * Gets the value of the derivationRule property.
     * 
     * @return
     *     possible object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public ConceptDerivationRule getDerivationRule() {
        return derivationRule;
    }

    /**
     * Sets the value of the derivationRule property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public void setDerivationRule(ConceptDerivationRule value) {
        this.derivationRule = value;
    }

    /**
     * Gets the value of the displayOrder property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDisplayOrder() {
        return displayOrder;
    }

    /**
     * Sets the value of the displayOrder property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDisplayOrder(Integer value) {
        this.displayOrder = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the primaryFlag property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPrimaryFlag() {
        return primaryFlag;
    }

    /**
     * Sets the value of the primaryFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPrimaryFlag(String value) {
        this.primaryFlag = value;
    }

    /**
     * Gets the value of the value property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getValue() {
        return value;
    }

    /**
     * Sets the value of the value property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setValue(String value) {
        this.value = value;
    }

}
