
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for Concept complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Concept">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:domain.cadsr.nci.nih.gov}AdministeredComponent">
 *       &lt;sequence>
 *         &lt;element name="componentConceptCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="definitionSource" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="evsSource" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="semanticMetadata" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="valueDomainPermissibleValueCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Concept", propOrder = {
    "componentConceptCollection",
    "definitionSource",
    "evsSource",
    "semanticMetadata",
    "valueDomainPermissibleValueCollection"
})
public class Concept
    extends AdministeredComponent
{

    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType componentConceptCollection;
    @XmlElement(required = true, nillable = true)
    protected String definitionSource;
    @XmlElement(required = true, nillable = true)
    protected String evsSource;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType semanticMetadata;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType valueDomainPermissibleValueCollection;

    /**
     * Gets the value of the componentConceptCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getComponentConceptCollection() {
        return componentConceptCollection;
    }

    /**
     * Sets the value of the componentConceptCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setComponentConceptCollection(ArrayOfXsdAnyType value) {
        this.componentConceptCollection = value;
    }

    /**
     * Gets the value of the definitionSource property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDefinitionSource() {
        return definitionSource;
    }

    /**
     * Sets the value of the definitionSource property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDefinitionSource(String value) {
        this.definitionSource = value;
    }

    /**
     * Gets the value of the evsSource property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEvsSource() {
        return evsSource;
    }

    /**
     * Sets the value of the evsSource property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEvsSource(String value) {
        this.evsSource = value;
    }

    /**
     * Gets the value of the semanticMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getSemanticMetadata() {
        return semanticMetadata;
    }

    /**
     * Sets the value of the semanticMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setSemanticMetadata(ArrayOfXsdAnyType value) {
        this.semanticMetadata = value;
    }

    /**
     * Gets the value of the valueDomainPermissibleValueCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getValueDomainPermissibleValueCollection() {
        return valueDomainPermissibleValueCollection;
    }

    /**
     * Sets the value of the valueDomainPermissibleValueCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setValueDomainPermissibleValueCollection(ArrayOfXsdAnyType value) {
        this.valueDomainPermissibleValueCollection = value;
    }

}
