
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for ConceptDerivationRule complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ConceptDerivationRule">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="classificationSchemeCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="classificationSchemeItemCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="componentConceptCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="conceptualDomainCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="createdBy" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="dateCreated" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="dateModified" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="derivationType" type="{urn:domain.cadsr.nci.nih.gov}DerivationType"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="modifiedBy" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="objectClassCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="objectClassRelationship" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="propertyCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="representationCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="sourceRoleConcept" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="targetRoleConcept" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="valueDomainCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="valueMeaningCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ConceptDerivationRule", propOrder = {
    "classificationSchemeCollection",
    "classificationSchemeItemCollection",
    "componentConceptCollection",
    "conceptualDomainCollection",
    "createdBy",
    "dateCreated",
    "dateModified",
    "derivationType",
    "id",
    "modifiedBy",
    "name",
    "objectClassCollection",
    "objectClassRelationship",
    "propertyCollection",
    "representationCollection",
    "sourceRoleConcept",
    "targetRoleConcept",
    "valueDomainCollection",
    "valueMeaningCollection"
})
public class ConceptDerivationRule {

    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType classificationSchemeCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType classificationSchemeItemCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType componentConceptCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType conceptualDomainCollection;
    @XmlElement(required = true, nillable = true)
    protected String createdBy;
    @XmlElement(required = true, nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar dateCreated;
    @XmlElement(required = true, nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar dateModified;
    @XmlElement(required = true, nillable = true)
    protected DerivationType derivationType;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, nillable = true)
    protected String modifiedBy;
    @XmlElement(required = true, nillable = true)
    protected String name;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType objectClassCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType objectClassRelationship;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType propertyCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType representationCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType sourceRoleConcept;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType targetRoleConcept;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType valueDomainCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType valueMeaningCollection;

    /**
     * Gets the value of the classificationSchemeCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getClassificationSchemeCollection() {
        return classificationSchemeCollection;
    }

    /**
     * Sets the value of the classificationSchemeCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setClassificationSchemeCollection(ArrayOfXsdAnyType value) {
        this.classificationSchemeCollection = value;
    }

    /**
     * Gets the value of the classificationSchemeItemCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getClassificationSchemeItemCollection() {
        return classificationSchemeItemCollection;
    }

    /**
     * Sets the value of the classificationSchemeItemCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setClassificationSchemeItemCollection(ArrayOfXsdAnyType value) {
        this.classificationSchemeItemCollection = value;
    }

    /**
     * Gets the value of the componentConceptCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getComponentConceptCollection() {
        return componentConceptCollection;
    }

    /**
     * Sets the value of the componentConceptCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setComponentConceptCollection(ArrayOfXsdAnyType value) {
        this.componentConceptCollection = value;
    }

    /**
     * Gets the value of the conceptualDomainCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getConceptualDomainCollection() {
        return conceptualDomainCollection;
    }

    /**
     * Sets the value of the conceptualDomainCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setConceptualDomainCollection(ArrayOfXsdAnyType value) {
        this.conceptualDomainCollection = value;
    }

    /**
     * Gets the value of the createdBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * Sets the value of the createdBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreatedBy(String value) {
        this.createdBy = value;
    }

    /**
     * Gets the value of the dateCreated property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateCreated() {
        return dateCreated;
    }

    /**
     * Sets the value of the dateCreated property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateCreated(XMLGregorianCalendar value) {
        this.dateCreated = value;
    }

    /**
     * Gets the value of the dateModified property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateModified() {
        return dateModified;
    }

    /**
     * Sets the value of the dateModified property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateModified(XMLGregorianCalendar value) {
        this.dateModified = value;
    }

    /**
     * Gets the value of the derivationType property.
     * 
     * @return
     *     possible object is
     *     {@link DerivationType }
     *     
     */
    public DerivationType getDerivationType() {
        return derivationType;
    }

    /**
     * Sets the value of the derivationType property.
     * 
     * @param value
     *     allowed object is
     *     {@link DerivationType }
     *     
     */
    public void setDerivationType(DerivationType value) {
        this.derivationType = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the modifiedBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getModifiedBy() {
        return modifiedBy;
    }

    /**
     * Sets the value of the modifiedBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setModifiedBy(String value) {
        this.modifiedBy = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the objectClassCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getObjectClassCollection() {
        return objectClassCollection;
    }

    /**
     * Sets the value of the objectClassCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setObjectClassCollection(ArrayOfXsdAnyType value) {
        this.objectClassCollection = value;
    }

    /**
     * Gets the value of the objectClassRelationship property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getObjectClassRelationship() {
        return objectClassRelationship;
    }

    /**
     * Sets the value of the objectClassRelationship property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setObjectClassRelationship(ArrayOfXsdAnyType value) {
        this.objectClassRelationship = value;
    }

    /**
     * Gets the value of the propertyCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getPropertyCollection() {
        return propertyCollection;
    }

    /**
     * Sets the value of the propertyCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setPropertyCollection(ArrayOfXsdAnyType value) {
        this.propertyCollection = value;
    }

    /**
     * Gets the value of the representationCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getRepresentationCollection() {
        return representationCollection;
    }

    /**
     * Sets the value of the representationCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setRepresentationCollection(ArrayOfXsdAnyType value) {
        this.representationCollection = value;
    }

    /**
     * Gets the value of the sourceRoleConcept property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getSourceRoleConcept() {
        return sourceRoleConcept;
    }

    /**
     * Sets the value of the sourceRoleConcept property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setSourceRoleConcept(ArrayOfXsdAnyType value) {
        this.sourceRoleConcept = value;
    }

    /**
     * Gets the value of the targetRoleConcept property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getTargetRoleConcept() {
        return targetRoleConcept;
    }

    /**
     * Sets the value of the targetRoleConcept property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setTargetRoleConcept(ArrayOfXsdAnyType value) {
        this.targetRoleConcept = value;
    }

    /**
     * Gets the value of the valueDomainCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getValueDomainCollection() {
        return valueDomainCollection;
    }

    /**
     * Sets the value of the valueDomainCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setValueDomainCollection(ArrayOfXsdAnyType value) {
        this.valueDomainCollection = value;
    }

    /**
     * Gets the value of the valueMeaningCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getValueMeaningCollection() {
        return valueMeaningCollection;
    }

    /**
     * Sets the value of the valueMeaningCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setValueMeaningCollection(ArrayOfXsdAnyType value) {
        this.valueMeaningCollection = value;
    }

}
