
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for DataElementConcept complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DataElementConcept">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:domain.cadsr.nci.nih.gov}AdministeredComponent">
 *       &lt;sequence>
 *         &lt;element name="childDataElementConceptRelationshipCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="conceptualDomain" type="{urn:domain.cadsr.nci.nih.gov}ConceptualDomain"/>
 *         &lt;element name="dataElementCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="objectClass" type="{urn:domain.cadsr.nci.nih.gov}ObjectClass"/>
 *         &lt;element name="parentDataElementConceptRelationshipCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="property" type="{urn:domain.cadsr.nci.nih.gov}Property"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DataElementConcept", propOrder = {
    "childDataElementConceptRelationshipCollection",
    "conceptualDomain",
    "dataElementCollection",
    "objectClass",
    "parentDataElementConceptRelationshipCollection",
    "property"
})
public class DataElementConcept
    extends AdministeredComponent
{

    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType childDataElementConceptRelationshipCollection;
    @XmlElement(required = true, nillable = true)
    protected ConceptualDomain conceptualDomain;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType dataElementCollection;
    @XmlElement(required = true, nillable = true)
    protected ObjectClass objectClass;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType parentDataElementConceptRelationshipCollection;
    @XmlElement(required = true, nillable = true)
    protected Property property;

    /**
     * Gets the value of the childDataElementConceptRelationshipCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getChildDataElementConceptRelationshipCollection() {
        return childDataElementConceptRelationshipCollection;
    }

    /**
     * Sets the value of the childDataElementConceptRelationshipCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setChildDataElementConceptRelationshipCollection(ArrayOfXsdAnyType value) {
        this.childDataElementConceptRelationshipCollection = value;
    }

    /**
     * Gets the value of the conceptualDomain property.
     * 
     * @return
     *     possible object is
     *     {@link ConceptualDomain }
     *     
     */
    public ConceptualDomain getConceptualDomain() {
        return conceptualDomain;
    }

    /**
     * Sets the value of the conceptualDomain property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConceptualDomain }
     *     
     */
    public void setConceptualDomain(ConceptualDomain value) {
        this.conceptualDomain = value;
    }

    /**
     * Gets the value of the dataElementCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getDataElementCollection() {
        return dataElementCollection;
    }

    /**
     * Sets the value of the dataElementCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setDataElementCollection(ArrayOfXsdAnyType value) {
        this.dataElementCollection = value;
    }

    /**
     * Gets the value of the objectClass property.
     * 
     * @return
     *     possible object is
     *     {@link ObjectClass }
     *     
     */
    public ObjectClass getObjectClass() {
        return objectClass;
    }

    /**
     * Sets the value of the objectClass property.
     * 
     * @param value
     *     allowed object is
     *     {@link ObjectClass }
     *     
     */
    public void setObjectClass(ObjectClass value) {
        this.objectClass = value;
    }

    /**
     * Gets the value of the parentDataElementConceptRelationshipCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getParentDataElementConceptRelationshipCollection() {
        return parentDataElementConceptRelationshipCollection;
    }

    /**
     * Sets the value of the parentDataElementConceptRelationshipCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setParentDataElementConceptRelationshipCollection(ArrayOfXsdAnyType value) {
        this.parentDataElementConceptRelationshipCollection = value;
    }

    /**
     * Gets the value of the property property.
     * 
     * @return
     *     possible object is
     *     {@link Property }
     *     
     */
    public Property getProperty() {
        return property;
    }

    /**
     * Sets the value of the property property.
     * 
     * @param value
     *     allowed object is
     *     {@link Property }
     *     
     */
    public void setProperty(Property value) {
        this.property = value;
    }

}
