
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the gov.nih.nci.cadsr.domain.jaxb package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: gov.nih.nci.cadsr.domain.jaxb
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ContactCommunication }
     * 
     */
    public ContactCommunication createContactCommunication() {
        return new ContactCommunication();
    }

    /**
     * Create an instance of {@link AdministeredComponentClassSchemeItem }
     * 
     */
    public AdministeredComponentClassSchemeItem createAdministeredComponentClassSchemeItem() {
        return new AdministeredComponentClassSchemeItem();
    }

    /**
     * Create an instance of {@link QuestionConditionComponents }
     * 
     */
    public QuestionConditionComponents createQuestionConditionComponents() {
        return new QuestionConditionComponents();
    }

    /**
     * Create an instance of {@link ObjectClassRelationship }
     * 
     */
    public ObjectClassRelationship createObjectClassRelationship() {
        return new ObjectClassRelationship();
    }

    /**
     * Create an instance of {@link ClassificationSchemeItemRelationship }
     * 
     */
    public ClassificationSchemeItemRelationship createClassificationSchemeItemRelationship() {
        return new ClassificationSchemeItemRelationship();
    }

    /**
     * Create an instance of {@link ClassSchemeClassSchemeItem }
     * 
     */
    public ClassSchemeClassSchemeItem createClassSchemeClassSchemeItem() {
        return new ClassSchemeClassSchemeItem();
    }

    /**
     * Create an instance of {@link Instruction }
     * 
     */
    public Instruction createInstruction() {
        return new Instruction();
    }

    /**
     * Create an instance of {@link ComponentLevel }
     * 
     */
    public ComponentLevel createComponentLevel() {
        return new ComponentLevel();
    }

    /**
     * Create an instance of {@link ConceptualDomain }
     * 
     */
    public ConceptualDomain createConceptualDomain() {
        return new ConceptualDomain();
    }

    /**
     * Create an instance of {@link ValueDomainRelationship }
     * 
     */
    public ValueDomainRelationship createValueDomainRelationship() {
        return new ValueDomainRelationship();
    }

    /**
     * Create an instance of {@link ReferenceDocument }
     * 
     */
    public ReferenceDocument createReferenceDocument() {
        return new ReferenceDocument();
    }

    /**
     * Create an instance of {@link ConceptDerivationRule }
     * 
     */
    public ConceptDerivationRule createConceptDerivationRule() {
        return new ConceptDerivationRule();
    }

    /**
     * Create an instance of {@link DataElement }
     * 
     */
    public DataElement createDataElement() {
        return new DataElement();
    }

    /**
     * Create an instance of {@link ValueDomainPermissibleValue }
     * 
     */
    public ValueDomainPermissibleValue createValueDomainPermissibleValue() {
        return new ValueDomainPermissibleValue();
    }

    /**
     * Create an instance of {@link Form }
     * 
     */
    public Form createForm() {
        return new Form();
    }

    /**
     * Create an instance of {@link DataElementConceptRelationship }
     * 
     */
    public DataElementConceptRelationship createDataElementConceptRelationship() {
        return new DataElementConceptRelationship();
    }

    /**
     * Create an instance of {@link EnumeratedValueDomain }
     * 
     */
    public EnumeratedValueDomain createEnumeratedValueDomain() {
        return new EnumeratedValueDomain();
    }

    /**
     * Create an instance of {@link Function }
     * 
     */
    public Function createFunction() {
        return new Function();
    }

    /**
     * Create an instance of {@link DesignationClassSchemeItem }
     * 
     */
    public DesignationClassSchemeItem createDesignationClassSchemeItem() {
        return new DesignationClassSchemeItem();
    }

    /**
     * Create an instance of {@link Person }
     * 
     */
    public Person createPerson() {
        return new Person();
    }

    /**
     * Create an instance of {@link DataElementRelationship }
     * 
     */
    public DataElementRelationship createDataElementRelationship() {
        return new DataElementRelationship();
    }

    /**
     * Create an instance of {@link ClassificationSchemeRelationship }
     * 
     */
    public ClassificationSchemeRelationship createClassificationSchemeRelationship() {
        return new ClassificationSchemeRelationship();
    }

    /**
     * Create an instance of {@link QuestionCondition }
     * 
     */
    public QuestionCondition createQuestionCondition() {
        return new QuestionCondition();
    }

    /**
     * Create an instance of {@link Property }
     * 
     */
    public Property createProperty() {
        return new Property();
    }

    /**
     * Create an instance of {@link ValidValue }
     * 
     */
    public ValidValue createValidValue() {
        return new ValidValue();
    }

    /**
     * Create an instance of {@link DataElementConcept }
     * 
     */
    public DataElementConcept createDataElementConcept() {
        return new DataElementConcept();
    }

    /**
     * Create an instance of {@link AdministeredComponentContact }
     * 
     */
    public AdministeredComponentContact createAdministeredComponentContact() {
        return new AdministeredComponentContact();
    }

    /**
     * Create an instance of {@link ValueMeaning }
     * 
     */
    public ValueMeaning createValueMeaning() {
        return new ValueMeaning();
    }

    /**
     * Create an instance of {@link Registration }
     * 
     */
    public Registration createRegistration() {
        return new Registration();
    }

    /**
     * Create an instance of {@link DataElementDerivation }
     * 
     */
    public DataElementDerivation createDataElementDerivation() {
        return new DataElementDerivation();
    }

    /**
     * Create an instance of {@link ReferenceDocumentAttachment }
     * 
     */
    public ReferenceDocumentAttachment createReferenceDocumentAttachment() {
        return new ReferenceDocumentAttachment();
    }

    /**
     * Create an instance of {@link ClassificationScheme }
     * 
     */
    public ClassificationScheme createClassificationScheme() {
        return new ClassificationScheme();
    }

    /**
     * Create an instance of {@link Address }
     * 
     */
    public Address createAddress() {
        return new Address();
    }

    /**
     * Create an instance of {@link Definition }
     * 
     */
    public Definition createDefinition() {
        return new Definition();
    }

    /**
     * Create an instance of {@link DerivationType }
     * 
     */
    public DerivationType createDerivationType() {
        return new DerivationType();
    }

    /**
     * Create an instance of {@link ObjectClass }
     * 
     */
    public ObjectClass createObjectClass() {
        return new ObjectClass();
    }

    /**
     * Create an instance of {@link QuestionRepetition }
     * 
     */
    public QuestionRepetition createQuestionRepetition() {
        return new QuestionRepetition();
    }

    /**
     * Create an instance of {@link Representation }
     * 
     */
    public Representation createRepresentation() {
        return new Representation();
    }

    /**
     * Create an instance of {@link ValueDomain }
     * 
     */
    public ValueDomain createValueDomain() {
        return new ValueDomain();
    }

    /**
     * Create an instance of {@link AdministeredComponent }
     * 
     */
    public AdministeredComponent createAdministeredComponent() {
        return new AdministeredComponent();
    }

    /**
     * Create an instance of {@link FormElement }
     * 
     */
    public FormElement createFormElement() {
        return new FormElement();
    }

    /**
     * Create an instance of {@link NonenumeratedValueDomain }
     * 
     */
    public NonenumeratedValueDomain createNonenumeratedValueDomain() {
        return new NonenumeratedValueDomain();
    }

    /**
     * Create an instance of {@link DefinitionClassSchemeItem }
     * 
     */
    public DefinitionClassSchemeItem createDefinitionClassSchemeItem() {
        return new DefinitionClassSchemeItem();
    }

    /**
     * Create an instance of {@link Context }
     * 
     */
    public Context createContext() {
        return new Context();
    }

    /**
     * Create an instance of {@link Module }
     * 
     */
    public Module createModule() {
        return new Module();
    }

    /**
     * Create an instance of {@link DerivedDataElement }
     * 
     */
    public DerivedDataElement createDerivedDataElement() {
        return new DerivedDataElement();
    }

    /**
     * Create an instance of {@link ComponentConcept }
     * 
     */
    public ComponentConcept createComponentConcept() {
        return new ComponentConcept();
    }

    /**
     * Create an instance of {@link Protocol }
     * 
     */
    public Protocol createProtocol() {
        return new Protocol();
    }

    /**
     * Create an instance of {@link Designation }
     * 
     */
    public Designation createDesignation() {
        return new Designation();
    }

    /**
     * Create an instance of {@link ConditionMessage }
     * 
     */
    public ConditionMessage createConditionMessage() {
        return new ConditionMessage();
    }

    /**
     * Create an instance of {@link Concept }
     * 
     */
    public Concept createConcept() {
        return new Concept();
    }

    /**
     * Create an instance of {@link TriggerAction }
     * 
     */
    public TriggerAction createTriggerAction() {
        return new TriggerAction();
    }

    /**
     * Create an instance of {@link ClassificationSchemeItem }
     * 
     */
    public ClassificationSchemeItem createClassificationSchemeItem() {
        return new ClassificationSchemeItem();
    }

    /**
     * Create an instance of {@link Organization }
     * 
     */
    public Organization createOrganization() {
        return new Organization();
    }

    /**
     * Create an instance of {@link Question }
     * 
     */
    public Question createQuestion() {
        return new Question();
    }

    /**
     * Create an instance of {@link PermissibleValue }
     * 
     */
    public PermissibleValue createPermissibleValue() {
        return new PermissibleValue();
    }

}
