
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for Property complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Property">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:domain.cadsr.nci.nih.gov}AdministeredComponent">
 *       &lt;sequence>
 *         &lt;element name="conceptDerivationRule" type="{urn:domain.cadsr.nci.nih.gov}ConceptDerivationRule"/>
 *         &lt;element name="dataElementConceptCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="definitionSource" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Property", propOrder = {
    "conceptDerivationRule",
    "dataElementConceptCollection",
    "definitionSource"
})
public class Property
    extends AdministeredComponent
{

    @XmlElement(required = true, nillable = true)
    protected ConceptDerivationRule conceptDerivationRule;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType dataElementConceptCollection;
    @XmlElement(required = true, nillable = true)
    protected String definitionSource;

    /**
     * Gets the value of the conceptDerivationRule property.
     * 
     * @return
     *     possible object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public ConceptDerivationRule getConceptDerivationRule() {
        return conceptDerivationRule;
    }

    /**
     * Sets the value of the conceptDerivationRule property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public void setConceptDerivationRule(ConceptDerivationRule value) {
        this.conceptDerivationRule = value;
    }

    /**
     * Gets the value of the dataElementConceptCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getDataElementConceptCollection() {
        return dataElementConceptCollection;
    }

    /**
     * Sets the value of the dataElementConceptCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setDataElementConceptCollection(ArrayOfXsdAnyType value) {
        this.dataElementConceptCollection = value;
    }

    /**
     * Gets the value of the definitionSource property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDefinitionSource() {
        return definitionSource;
    }

    /**
     * Sets the value of the definitionSource property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDefinitionSource(String value) {
        this.definitionSource = value;
    }

}
