
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for Protocol complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Protocol">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:domain.cadsr.nci.nih.gov}AdministeredComponent">
 *       &lt;sequence>
 *         &lt;element name="approvedBy" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="approvedDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="changeNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="changeType" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="formCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="leadOrganizationName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="phase" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="protocolID" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="reviewedBy" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="reviewedDate" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="type" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Protocol", propOrder = {
    "approvedBy",
    "approvedDate",
    "changeNumber",
    "changeType",
    "formCollection",
    "leadOrganizationName",
    "phase",
    "protocolID",
    "reviewedBy",
    "reviewedDate",
    "type"
})
public class Protocol
    extends AdministeredComponent
{

    @XmlElement(required = true, nillable = true)
    protected String approvedBy;
    @XmlElement(required = true, nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar approvedDate;
    @XmlElement(required = true, nillable = true)
    protected String changeNumber;
    @XmlElement(required = true, nillable = true)
    protected String changeType;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType formCollection;
    @XmlElement(required = true, nillable = true)
    protected String leadOrganizationName;
    @XmlElement(required = true, nillable = true)
    protected String phase;
    @XmlElement(required = true, nillable = true)
    protected String protocolID;
    @XmlElement(required = true, nillable = true)
    protected String reviewedBy;
    @XmlElement(required = true, nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar reviewedDate;
    @XmlElement(required = true, nillable = true)
    protected String type;

    /**
     * Gets the value of the approvedBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getApprovedBy() {
        return approvedBy;
    }

    /**
     * Sets the value of the approvedBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setApprovedBy(String value) {
        this.approvedBy = value;
    }

    /**
     * Gets the value of the approvedDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getApprovedDate() {
        return approvedDate;
    }

    /**
     * Sets the value of the approvedDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setApprovedDate(XMLGregorianCalendar value) {
        this.approvedDate = value;
    }

    /**
     * Gets the value of the changeNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getChangeNumber() {
        return changeNumber;
    }

    /**
     * Sets the value of the changeNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setChangeNumber(String value) {
        this.changeNumber = value;
    }

    /**
     * Gets the value of the changeType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getChangeType() {
        return changeType;
    }

    /**
     * Sets the value of the changeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setChangeType(String value) {
        this.changeType = value;
    }

    /**
     * Gets the value of the formCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getFormCollection() {
        return formCollection;
    }

    /**
     * Sets the value of the formCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setFormCollection(ArrayOfXsdAnyType value) {
        this.formCollection = value;
    }

    /**
     * Gets the value of the leadOrganizationName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLeadOrganizationName() {
        return leadOrganizationName;
    }

    /**
     * Sets the value of the leadOrganizationName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLeadOrganizationName(String value) {
        this.leadOrganizationName = value;
    }

    /**
     * Gets the value of the phase property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPhase() {
        return phase;
    }

    /**
     * Sets the value of the phase property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPhase(String value) {
        this.phase = value;
    }

    /**
     * Gets the value of the protocolID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProtocolID() {
        return protocolID;
    }

    /**
     * Sets the value of the protocolID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProtocolID(String value) {
        this.protocolID = value;
    }

    /**
     * Gets the value of the reviewedBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReviewedBy() {
        return reviewedBy;
    }

    /**
     * Sets the value of the reviewedBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReviewedBy(String value) {
        this.reviewedBy = value;
    }

    /**
     * Gets the value of the reviewedDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getReviewedDate() {
        return reviewedDate;
    }

    /**
     * Sets the value of the reviewedDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setReviewedDate(XMLGregorianCalendar value) {
        this.reviewedDate = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

}
