
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for Question complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Question">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:domain.cadsr.nci.nih.gov}FormElement">
 *       &lt;sequence>
 *         &lt;element name="dataElement" type="{urn:domain.cadsr.nci.nih.gov}DataElement"/>
 *         &lt;element name="defaultValidValueId" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="defaultValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="displayOrder" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="isEditable" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="isMandatory" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="module" type="{urn:domain.cadsr.nci.nih.gov}Module"/>
 *         &lt;element name="questionComponentCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="questionCondition" type="{urn:domain.cadsr.nci.nih.gov}QuestionCondition"/>
 *         &lt;element name="questionRepetitionCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="questionText" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="validValueCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="valueDomain" type="{urn:domain.cadsr.nci.nih.gov}ValueDomain"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Question", propOrder = {
    "dataElement",
    "defaultValidValueId",
    "defaultValue",
    "displayOrder",
    "isEditable",
    "isMandatory",
    "module",
    "questionComponentCollection",
    "questionCondition",
    "questionRepetitionCollection",
    "questionText",
    "validValueCollection",
    "valueDomain"
})
public class Question
    extends FormElement
{

    @XmlElement(required = true, nillable = true)
    protected DataElement dataElement;
    @XmlElement(required = true, nillable = true)
    protected String defaultValidValueId;
    @XmlElement(required = true, nillable = true)
    protected String defaultValue;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer displayOrder;
    @XmlElement(required = true, nillable = true)
    protected String isEditable;
    @XmlElement(required = true, nillable = true)
    protected String isMandatory;
    @XmlElement(required = true, nillable = true)
    protected Module module;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType questionComponentCollection;
    @XmlElement(required = true, nillable = true)
    protected QuestionCondition questionCondition;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType questionRepetitionCollection;
    @XmlElement(required = true, nillable = true)
    protected String questionText;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType validValueCollection;
    @XmlElement(required = true, nillable = true)
    protected ValueDomain valueDomain;

    /**
     * Gets the value of the dataElement property.
     * 
     * @return
     *     possible object is
     *     {@link DataElement }
     *     
     */
    public DataElement getDataElement() {
        return dataElement;
    }

    /**
     * Sets the value of the dataElement property.
     * 
     * @param value
     *     allowed object is
     *     {@link DataElement }
     *     
     */
    public void setDataElement(DataElement value) {
        this.dataElement = value;
    }

    /**
     * Gets the value of the defaultValidValueId property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDefaultValidValueId() {
        return defaultValidValueId;
    }

    /**
     * Sets the value of the defaultValidValueId property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDefaultValidValueId(String value) {
        this.defaultValidValueId = value;
    }

    /**
     * Gets the value of the defaultValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDefaultValue() {
        return defaultValue;
    }

    /**
     * Sets the value of the defaultValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDefaultValue(String value) {
        this.defaultValue = value;
    }

    /**
     * Gets the value of the displayOrder property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDisplayOrder() {
        return displayOrder;
    }

    /**
     * Sets the value of the displayOrder property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDisplayOrder(Integer value) {
        this.displayOrder = value;
    }

    /**
     * Gets the value of the isEditable property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIsEditable() {
        return isEditable;
    }

    /**
     * Sets the value of the isEditable property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIsEditable(String value) {
        this.isEditable = value;
    }

    /**
     * Gets the value of the isMandatory property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIsMandatory() {
        return isMandatory;
    }

    /**
     * Sets the value of the isMandatory property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIsMandatory(String value) {
        this.isMandatory = value;
    }

    /**
     * Gets the value of the module property.
     * 
     * @return
     *     possible object is
     *     {@link Module }
     *     
     */
    public Module getModule() {
        return module;
    }

    /**
     * Sets the value of the module property.
     * 
     * @param value
     *     allowed object is
     *     {@link Module }
     *     
     */
    public void setModule(Module value) {
        this.module = value;
    }

    /**
     * Gets the value of the questionComponentCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getQuestionComponentCollection() {
        return questionComponentCollection;
    }

    /**
     * Sets the value of the questionComponentCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setQuestionComponentCollection(ArrayOfXsdAnyType value) {
        this.questionComponentCollection = value;
    }

    /**
     * Gets the value of the questionCondition property.
     * 
     * @return
     *     possible object is
     *     {@link QuestionCondition }
     *     
     */
    public QuestionCondition getQuestionCondition() {
        return questionCondition;
    }

    /**
     * Sets the value of the questionCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link QuestionCondition }
     *     
     */
    public void setQuestionCondition(QuestionCondition value) {
        this.questionCondition = value;
    }

    /**
     * Gets the value of the questionRepetitionCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getQuestionRepetitionCollection() {
        return questionRepetitionCollection;
    }

    /**
     * Sets the value of the questionRepetitionCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setQuestionRepetitionCollection(ArrayOfXsdAnyType value) {
        this.questionRepetitionCollection = value;
    }

    /**
     * Gets the value of the questionText property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getQuestionText() {
        return questionText;
    }

    /**
     * Sets the value of the questionText property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setQuestionText(String value) {
        this.questionText = value;
    }

    /**
     * Gets the value of the validValueCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getValidValueCollection() {
        return validValueCollection;
    }

    /**
     * Sets the value of the validValueCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setValidValueCollection(ArrayOfXsdAnyType value) {
        this.validValueCollection = value;
    }

    /**
     * Gets the value of the valueDomain property.
     * 
     * @return
     *     possible object is
     *     {@link ValueDomain }
     *     
     */
    public ValueDomain getValueDomain() {
        return valueDomain;
    }

    /**
     * Sets the value of the valueDomain property.
     * 
     * @param value
     *     allowed object is
     *     {@link ValueDomain }
     *     
     */
    public void setValueDomain(ValueDomain value) {
        this.valueDomain = value;
    }

}
