
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for QuestionCondition complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="QuestionCondition">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="conditionComponentCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="condtionMessage" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="forcedConditionTriggeredActionCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="question" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="questionCondition" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="triggeredActionCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "QuestionCondition", propOrder = {
    "conditionComponentCollection",
    "condtionMessage",
    "forcedConditionTriggeredActionCollection",
    "id",
    "question",
    "questionCondition",
    "triggeredActionCollection"
})
public class QuestionCondition {

    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType conditionComponentCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType condtionMessage;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType forcedConditionTriggeredActionCollection;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType question;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType questionCondition;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType triggeredActionCollection;

    /**
     * Gets the value of the conditionComponentCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getConditionComponentCollection() {
        return conditionComponentCollection;
    }

    /**
     * Sets the value of the conditionComponentCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setConditionComponentCollection(ArrayOfXsdAnyType value) {
        this.conditionComponentCollection = value;
    }

    /**
     * Gets the value of the condtionMessage property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getCondtionMessage() {
        return condtionMessage;
    }

    /**
     * Sets the value of the condtionMessage property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setCondtionMessage(ArrayOfXsdAnyType value) {
        this.condtionMessage = value;
    }

    /**
     * Gets the value of the forcedConditionTriggeredActionCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getForcedConditionTriggeredActionCollection() {
        return forcedConditionTriggeredActionCollection;
    }

    /**
     * Sets the value of the forcedConditionTriggeredActionCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setForcedConditionTriggeredActionCollection(ArrayOfXsdAnyType value) {
        this.forcedConditionTriggeredActionCollection = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the question property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getQuestion() {
        return question;
    }

    /**
     * Sets the value of the question property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setQuestion(ArrayOfXsdAnyType value) {
        this.question = value;
    }

    /**
     * Gets the value of the questionCondition property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getQuestionCondition() {
        return questionCondition;
    }

    /**
     * Sets the value of the questionCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setQuestionCondition(ArrayOfXsdAnyType value) {
        this.questionCondition = value;
    }

    /**
     * Gets the value of the triggeredActionCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getTriggeredActionCollection() {
        return triggeredActionCollection;
    }

    /**
     * Sets the value of the triggeredActionCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setTriggeredActionCollection(ArrayOfXsdAnyType value) {
        this.triggeredActionCollection = value;
    }

}
