
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for ValidValue complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ValidValue">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:domain.cadsr.nci.nih.gov}FormElement">
 *       &lt;sequence>
 *         &lt;element name="conditionComponent" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="displayOrder" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="meaningText" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="question" type="{urn:domain.cadsr.nci.nih.gov}Question"/>
 *         &lt;element name="valueDomainPermissibleValue" type="{urn:domain.cadsr.nci.nih.gov}ValueDomainPermissibleValue"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ValidValue", propOrder = {
    "conditionComponent",
    "description",
    "displayOrder",
    "meaningText",
    "question",
    "valueDomainPermissibleValue"
})
public class ValidValue
    extends FormElement
{

    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType conditionComponent;
    @XmlElement(required = true, nillable = true)
    protected String description;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer displayOrder;
    @XmlElement(required = true, nillable = true)
    protected String meaningText;
    @XmlElement(required = true, nillable = true)
    protected Question question;
    @XmlElement(required = true, nillable = true)
    protected ValueDomainPermissibleValue valueDomainPermissibleValue;

    /**
     * Gets the value of the conditionComponent property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getConditionComponent() {
        return conditionComponent;
    }

    /**
     * Sets the value of the conditionComponent property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setConditionComponent(ArrayOfXsdAnyType value) {
        this.conditionComponent = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the displayOrder property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDisplayOrder() {
        return displayOrder;
    }

    /**
     * Sets the value of the displayOrder property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDisplayOrder(Integer value) {
        this.displayOrder = value;
    }

    /**
     * Gets the value of the meaningText property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMeaningText() {
        return meaningText;
    }

    /**
     * Sets the value of the meaningText property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMeaningText(String value) {
        this.meaningText = value;
    }

    /**
     * Gets the value of the question property.
     * 
     * @return
     *     possible object is
     *     {@link Question }
     *     
     */
    public Question getQuestion() {
        return question;
    }

    /**
     * Sets the value of the question property.
     * 
     * @param value
     *     allowed object is
     *     {@link Question }
     *     
     */
    public void setQuestion(Question value) {
        this.question = value;
    }

    /**
     * Gets the value of the valueDomainPermissibleValue property.
     * 
     * @return
     *     possible object is
     *     {@link ValueDomainPermissibleValue }
     *     
     */
    public ValueDomainPermissibleValue getValueDomainPermissibleValue() {
        return valueDomainPermissibleValue;
    }

    /**
     * Sets the value of the valueDomainPermissibleValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link ValueDomainPermissibleValue }
     *     
     */
    public void setValueDomainPermissibleValue(ValueDomainPermissibleValue value) {
        this.valueDomainPermissibleValue = value;
    }

}
