
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for ValueDomain complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ValueDomain">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:domain.cadsr.nci.nih.gov}AdministeredComponent">
 *       &lt;sequence>
 *         &lt;element name="UOMName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="attributeTypeMetadata" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="characterSetName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="childValueDomainRelationshipCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="conceptDerivationRule" type="{urn:domain.cadsr.nci.nih.gov}ConceptDerivationRule"/>
 *         &lt;element name="conceptualDomain" type="{urn:domain.cadsr.nci.nih.gov}ConceptualDomain"/>
 *         &lt;element name="dataElementCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="datatypeAnnotation" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="datatypeDescription" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="datatypeIsCodegenCompatible" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="datatypeName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="datatypeSchemeReference" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="decimalPlace" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="formatName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="highValueNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="lowValueNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="maximumLengthNumber" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="minimumLengthNumber" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="parentValueDomainRelationshipCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="questionCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="represention" type="{urn:domain.cadsr.nci.nih.gov}Representation"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ValueDomain", propOrder = {
    "uomName",
    "attributeTypeMetadata",
    "characterSetName",
    "childValueDomainRelationshipCollection",
    "conceptDerivationRule",
    "conceptualDomain",
    "dataElementCollection",
    "datatypeAnnotation",
    "datatypeDescription",
    "datatypeIsCodegenCompatible",
    "datatypeName",
    "datatypeSchemeReference",
    "decimalPlace",
    "formatName",
    "highValueNumber",
    "lowValueNumber",
    "maximumLengthNumber",
    "minimumLengthNumber",
    "parentValueDomainRelationshipCollection",
    "questionCollection",
    "represention"
})
@XmlSeeAlso({
    EnumeratedValueDomain.class,
    NonenumeratedValueDomain.class
})
public class ValueDomain
    extends AdministeredComponent
{

    @XmlElement(name = "UOMName", required = true, nillable = true)
    protected String uomName;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType attributeTypeMetadata;
    @XmlElement(required = true, nillable = true)
    protected String characterSetName;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType childValueDomainRelationshipCollection;
    @XmlElement(required = true, nillable = true)
    protected ConceptDerivationRule conceptDerivationRule;
    @XmlElement(required = true, nillable = true)
    protected ConceptualDomain conceptualDomain;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType dataElementCollection;
    @XmlElement(required = true, nillable = true)
    protected String datatypeAnnotation;
    @XmlElement(required = true, nillable = true)
    protected String datatypeDescription;
    @XmlElement(required = true, nillable = true)
    protected String datatypeIsCodegenCompatible;
    @XmlElement(required = true, nillable = true)
    protected String datatypeName;
    @XmlElement(required = true, nillable = true)
    protected String datatypeSchemeReference;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer decimalPlace;
    @XmlElement(required = true, nillable = true)
    protected String formatName;
    @XmlElement(required = true, nillable = true)
    protected String highValueNumber;
    @XmlElement(required = true, nillable = true)
    protected String lowValueNumber;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer maximumLengthNumber;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer minimumLengthNumber;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType parentValueDomainRelationshipCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType questionCollection;
    @XmlElement(required = true, nillable = true)
    protected Representation represention;

    /**
     * Gets the value of the uomName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUOMName() {
        return uomName;
    }

    /**
     * Sets the value of the uomName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUOMName(String value) {
        this.uomName = value;
    }

    /**
     * Gets the value of the attributeTypeMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getAttributeTypeMetadata() {
        return attributeTypeMetadata;
    }

    /**
     * Sets the value of the attributeTypeMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setAttributeTypeMetadata(ArrayOfXsdAnyType value) {
        this.attributeTypeMetadata = value;
    }

    /**
     * Gets the value of the characterSetName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCharacterSetName() {
        return characterSetName;
    }

    /**
     * Sets the value of the characterSetName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCharacterSetName(String value) {
        this.characterSetName = value;
    }

    /**
     * Gets the value of the childValueDomainRelationshipCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getChildValueDomainRelationshipCollection() {
        return childValueDomainRelationshipCollection;
    }

    /**
     * Sets the value of the childValueDomainRelationshipCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setChildValueDomainRelationshipCollection(ArrayOfXsdAnyType value) {
        this.childValueDomainRelationshipCollection = value;
    }

    /**
     * Gets the value of the conceptDerivationRule property.
     * 
     * @return
     *     possible object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public ConceptDerivationRule getConceptDerivationRule() {
        return conceptDerivationRule;
    }

    /**
     * Sets the value of the conceptDerivationRule property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public void setConceptDerivationRule(ConceptDerivationRule value) {
        this.conceptDerivationRule = value;
    }

    /**
     * Gets the value of the conceptualDomain property.
     * 
     * @return
     *     possible object is
     *     {@link ConceptualDomain }
     *     
     */
    public ConceptualDomain getConceptualDomain() {
        return conceptualDomain;
    }

    /**
     * Sets the value of the conceptualDomain property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConceptualDomain }
     *     
     */
    public void setConceptualDomain(ConceptualDomain value) {
        this.conceptualDomain = value;
    }

    /**
     * Gets the value of the dataElementCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getDataElementCollection() {
        return dataElementCollection;
    }

    /**
     * Sets the value of the dataElementCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setDataElementCollection(ArrayOfXsdAnyType value) {
        this.dataElementCollection = value;
    }

    /**
     * Gets the value of the datatypeAnnotation property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatatypeAnnotation() {
        return datatypeAnnotation;
    }

    /**
     * Sets the value of the datatypeAnnotation property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatatypeAnnotation(String value) {
        this.datatypeAnnotation = value;
    }

    /**
     * Gets the value of the datatypeDescription property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatatypeDescription() {
        return datatypeDescription;
    }

    /**
     * Sets the value of the datatypeDescription property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatatypeDescription(String value) {
        this.datatypeDescription = value;
    }

    /**
     * Gets the value of the datatypeIsCodegenCompatible property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatatypeIsCodegenCompatible() {
        return datatypeIsCodegenCompatible;
    }

    /**
     * Sets the value of the datatypeIsCodegenCompatible property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatatypeIsCodegenCompatible(String value) {
        this.datatypeIsCodegenCompatible = value;
    }

    /**
     * Gets the value of the datatypeName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatatypeName() {
        return datatypeName;
    }

    /**
     * Sets the value of the datatypeName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatatypeName(String value) {
        this.datatypeName = value;
    }

    /**
     * Gets the value of the datatypeSchemeReference property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatatypeSchemeReference() {
        return datatypeSchemeReference;
    }

    /**
     * Sets the value of the datatypeSchemeReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatatypeSchemeReference(String value) {
        this.datatypeSchemeReference = value;
    }

    /**
     * Gets the value of the decimalPlace property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDecimalPlace() {
        return decimalPlace;
    }

    /**
     * Sets the value of the decimalPlace property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDecimalPlace(Integer value) {
        this.decimalPlace = value;
    }

    /**
     * Gets the value of the formatName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFormatName() {
        return formatName;
    }

    /**
     * Sets the value of the formatName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFormatName(String value) {
        this.formatName = value;
    }

    /**
     * Gets the value of the highValueNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHighValueNumber() {
        return highValueNumber;
    }

    /**
     * Sets the value of the highValueNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHighValueNumber(String value) {
        this.highValueNumber = value;
    }

    /**
     * Gets the value of the lowValueNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLowValueNumber() {
        return lowValueNumber;
    }

    /**
     * Sets the value of the lowValueNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLowValueNumber(String value) {
        this.lowValueNumber = value;
    }

    /**
     * Gets the value of the maximumLengthNumber property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getMaximumLengthNumber() {
        return maximumLengthNumber;
    }

    /**
     * Sets the value of the maximumLengthNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setMaximumLengthNumber(Integer value) {
        this.maximumLengthNumber = value;
    }

    /**
     * Gets the value of the minimumLengthNumber property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getMinimumLengthNumber() {
        return minimumLengthNumber;
    }

    /**
     * Sets the value of the minimumLengthNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setMinimumLengthNumber(Integer value) {
        this.minimumLengthNumber = value;
    }

    /**
     * Gets the value of the parentValueDomainRelationshipCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getParentValueDomainRelationshipCollection() {
        return parentValueDomainRelationshipCollection;
    }

    /**
     * Sets the value of the parentValueDomainRelationshipCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setParentValueDomainRelationshipCollection(ArrayOfXsdAnyType value) {
        this.parentValueDomainRelationshipCollection = value;
    }

    /**
     * Gets the value of the questionCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getQuestionCollection() {
        return questionCollection;
    }

    /**
     * Sets the value of the questionCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setQuestionCollection(ArrayOfXsdAnyType value) {
        this.questionCollection = value;
    }

    /**
     * Gets the value of the represention property.
     * 
     * @return
     *     possible object is
     *     {@link Representation }
     *     
     */
    public Representation getRepresention() {
        return represention;
    }

    /**
     * Sets the value of the represention property.
     * 
     * @param value
     *     allowed object is
     *     {@link Representation }
     *     
     */
    public void setRepresention(Representation value) {
        this.represention = value;
    }

}
