
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for ValueMeaning complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ValueMeaning">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:domain.cadsr.nci.nih.gov}AdministeredComponent">
 *       &lt;sequence>
 *         &lt;element name="comments" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="conceptDerivationRule" type="{urn:domain.cadsr.nci.nih.gov}ConceptDerivationRule"/>
 *         &lt;element name="conceptualDomainCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="permissibleValueCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="shortMeaning" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ValueMeaning", propOrder = {
    "comments",
    "conceptDerivationRule",
    "conceptualDomainCollection",
    "description",
    "permissibleValueCollection",
    "shortMeaning"
})
public class ValueMeaning
    extends AdministeredComponent
{

    @XmlElement(required = true, nillable = true)
    protected String comments;
    @XmlElement(required = true, nillable = true)
    protected ConceptDerivationRule conceptDerivationRule;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType conceptualDomainCollection;
    @XmlElement(required = true, nillable = true)
    protected String description;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType permissibleValueCollection;
    @XmlElement(required = true, nillable = true)
    protected String shortMeaning;

    /**
     * Gets the value of the comments property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getComments() {
        return comments;
    }

    /**
     * Sets the value of the comments property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setComments(String value) {
        this.comments = value;
    }

    /**
     * Gets the value of the conceptDerivationRule property.
     * 
     * @return
     *     possible object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public ConceptDerivationRule getConceptDerivationRule() {
        return conceptDerivationRule;
    }

    /**
     * Sets the value of the conceptDerivationRule property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public void setConceptDerivationRule(ConceptDerivationRule value) {
        this.conceptDerivationRule = value;
    }

    /**
     * Gets the value of the conceptualDomainCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getConceptualDomainCollection() {
        return conceptualDomainCollection;
    }

    /**
     * Sets the value of the conceptualDomainCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setConceptualDomainCollection(ArrayOfXsdAnyType value) {
        this.conceptualDomainCollection = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the permissibleValueCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getPermissibleValueCollection() {
        return permissibleValueCollection;
    }

    /**
     * Sets the value of the permissibleValueCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setPermissibleValueCollection(ArrayOfXsdAnyType value) {
        this.permissibleValueCollection = value;
    }

    /**
     * Gets the value of the shortMeaning property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShortMeaning() {
        return shortMeaning;
    }

    /**
     * Sets the value of the shortMeaning property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShortMeaning(String value) {
        this.shortMeaning = value;
    }

}
