
package gov.nih.nci.cadsr.umlproject.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsr.domain.jaxb.ClassificationScheme;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for Project complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Project">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="UMLAssociationMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="UMLAttributeMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="UMLClassMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="UMLPackageMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="classificationScheme" type="{urn:domain.cadsr.nci.nih.gov}ClassificationScheme"/>
 *         &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="gmeNamespace" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="longName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="publicID" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="shortName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="subProjectCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Project", propOrder = {
    "umlAssociationMetadataCollection",
    "umlAttributeMetadataCollection",
    "umlClassMetadataCollection",
    "umlPackageMetadataCollection",
    "classificationScheme",
    "description",
    "gmeNamespace",
    "id",
    "longName",
    "publicID",
    "shortName",
    "subProjectCollection",
    "version"
})
public class Project {

    @XmlElement(name = "UMLAssociationMetadataCollection", required = true, nillable = true)
    protected ArrayOfXsdAnyType umlAssociationMetadataCollection;
    @XmlElement(name = "UMLAttributeMetadataCollection", required = true, nillable = true)
    protected ArrayOfXsdAnyType umlAttributeMetadataCollection;
    @XmlElement(name = "UMLClassMetadataCollection", required = true, nillable = true)
    protected ArrayOfXsdAnyType umlClassMetadataCollection;
    @XmlElement(name = "UMLPackageMetadataCollection", required = true, nillable = true)
    protected ArrayOfXsdAnyType umlPackageMetadataCollection;
    @XmlElement(required = true, nillable = true)
    protected ClassificationScheme classificationScheme;
    @XmlElement(required = true, nillable = true)
    protected String description;
    @XmlElement(required = true, nillable = true)
    protected String gmeNamespace;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, nillable = true)
    protected String longName;
    @XmlElement(required = true, type = Long.class, nillable = true)
    protected Long publicID;
    @XmlElement(required = true, nillable = true)
    protected String shortName;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType subProjectCollection;
    @XmlElement(required = true, nillable = true)
    protected String version;

    /**
     * Gets the value of the umlAssociationMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getUMLAssociationMetadataCollection() {
        return umlAssociationMetadataCollection;
    }

    /**
     * Sets the value of the umlAssociationMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setUMLAssociationMetadataCollection(ArrayOfXsdAnyType value) {
        this.umlAssociationMetadataCollection = value;
    }

    /**
     * Gets the value of the umlAttributeMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getUMLAttributeMetadataCollection() {
        return umlAttributeMetadataCollection;
    }

    /**
     * Sets the value of the umlAttributeMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setUMLAttributeMetadataCollection(ArrayOfXsdAnyType value) {
        this.umlAttributeMetadataCollection = value;
    }

    /**
     * Gets the value of the umlClassMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getUMLClassMetadataCollection() {
        return umlClassMetadataCollection;
    }

    /**
     * Sets the value of the umlClassMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setUMLClassMetadataCollection(ArrayOfXsdAnyType value) {
        this.umlClassMetadataCollection = value;
    }

    /**
     * Gets the value of the umlPackageMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getUMLPackageMetadataCollection() {
        return umlPackageMetadataCollection;
    }

    /**
     * Sets the value of the umlPackageMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setUMLPackageMetadataCollection(ArrayOfXsdAnyType value) {
        this.umlPackageMetadataCollection = value;
    }

    /**
     * Gets the value of the classificationScheme property.
     * 
     * @return
     *     possible object is
     *     {@link ClassificationScheme }
     *     
     */
    public ClassificationScheme getClassificationScheme() {
        return classificationScheme;
    }

    /**
     * Sets the value of the classificationScheme property.
     * 
     * @param value
     *     allowed object is
     *     {@link ClassificationScheme }
     *     
     */
    public void setClassificationScheme(ClassificationScheme value) {
        this.classificationScheme = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the gmeNamespace property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGmeNamespace() {
        return gmeNamespace;
    }

    /**
     * Sets the value of the gmeNamespace property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGmeNamespace(String value) {
        this.gmeNamespace = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the longName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLongName() {
        return longName;
    }

    /**
     * Sets the value of the longName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLongName(String value) {
        this.longName = value;
    }

    /**
     * Gets the value of the publicID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getPublicID() {
        return publicID;
    }

    /**
     * Sets the value of the publicID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setPublicID(Long value) {
        this.publicID = value;
    }

    /**
     * Gets the value of the shortName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getShortName() {
        return shortName;
    }

    /**
     * Sets the value of the shortName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setShortName(String value) {
        this.shortName = value;
    }

    /**
     * Gets the value of the subProjectCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getSubProjectCollection() {
        return subProjectCollection;
    }

    /**
     * Sets the value of the subProjectCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setSubProjectCollection(ArrayOfXsdAnyType value) {
        this.subProjectCollection = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersion(String value) {
        this.version = value;
    }

}
