
package gov.nih.nci.cadsr.umlproject.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for TypeEnumerationMetadata complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TypeEnumerationMetadata">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="attributeTypeMetadata" type="{urn:domain.umlproject.cadsr.nci.nih.gov}AttributeTypeMetadata"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="permissibleValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="publicID" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="semanticMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="valueMeaning" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TypeEnumerationMetadata", propOrder = {
    "attributeTypeMetadata",
    "id",
    "permissibleValue",
    "publicID",
    "semanticMetadataCollection",
    "valueMeaning",
    "version"
})
public class TypeEnumerationMetadata {

    @XmlElement(required = true, nillable = true)
    protected AttributeTypeMetadata attributeTypeMetadata;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, nillable = true)
    protected String permissibleValue;
    @XmlElement(required = true, type = Long.class, nillable = true)
    protected Long publicID;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType semanticMetadataCollection;
    @XmlElement(required = true, nillable = true)
    protected String valueMeaning;
    @XmlElement(required = true, type = Float.class, nillable = true)
    protected Float version;

    /**
     * Gets the value of the attributeTypeMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link AttributeTypeMetadata }
     *     
     */
    public AttributeTypeMetadata getAttributeTypeMetadata() {
        return attributeTypeMetadata;
    }

    /**
     * Sets the value of the attributeTypeMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link AttributeTypeMetadata }
     *     
     */
    public void setAttributeTypeMetadata(AttributeTypeMetadata value) {
        this.attributeTypeMetadata = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the permissibleValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPermissibleValue() {
        return permissibleValue;
    }

    /**
     * Sets the value of the permissibleValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPermissibleValue(String value) {
        this.permissibleValue = value;
    }

    /**
     * Gets the value of the publicID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getPublicID() {
        return publicID;
    }

    /**
     * Sets the value of the publicID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setPublicID(Long value) {
        this.publicID = value;
    }

    /**
     * Gets the value of the semanticMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getSemanticMetadataCollection() {
        return semanticMetadataCollection;
    }

    /**
     * Sets the value of the semanticMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setSemanticMetadataCollection(ArrayOfXsdAnyType value) {
        this.semanticMetadataCollection = value;
    }

    /**
     * Gets the value of the valueMeaning property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getValueMeaning() {
        return valueMeaning;
    }

    /**
     * Sets the value of the valueMeaning property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setValueMeaning(String value) {
        this.valueMeaning = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setVersion(Float value) {
        this.version = value;
    }

}
