
package gov.nih.nci.cadsr.umlproject.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsr.domain.jaxb.ClassSchemeClassSchemeItem;
import gov.nih.nci.cadsr.domain.jaxb.ObjectClassRelationship;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for UMLAssociationMetadata complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UMLAssociationMetadata">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="UMLClassMetadata" type="{urn:domain.umlproject.cadsr.nci.nih.gov}UMLClassMetadata"/>
 *         &lt;element name="classSchemeClassSchemeItem" type="{urn:domain.cadsr.nci.nih.gov}ClassSchemeClassSchemeItem"/>
 *         &lt;element name="gmeSourceContainingXMLElement" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="gmeSourceContainingXMLNamespace" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="gmeSourceXMLLocReference" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="gmeTargetContainingXMLElement" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="gmeTargetContainingXMLNamespace" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="gmeTargetXMLLocReference" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="isBidirectional" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="objectClassRelationship" type="{urn:domain.cadsr.nci.nih.gov}ObjectClassRelationship"/>
 *         &lt;element name="project" type="{urn:domain.umlproject.cadsr.nci.nih.gov}Project"/>
 *         &lt;element name="publicID" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="semanticMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="sourceHighCardinality" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="sourceLowCardinality" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="sourceRoleName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="sourceUMLClassMetadata" type="{urn:domain.umlproject.cadsr.nci.nih.gov}UMLClassMetadata"/>
 *         &lt;element name="targetHighCardinality" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="targetLowCardinality" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="targetRoleName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="targetUMLClassMetadata" type="{urn:domain.umlproject.cadsr.nci.nih.gov}UMLClassMetadata"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UMLAssociationMetadata", propOrder = {
    "umlClassMetadata",
    "classSchemeClassSchemeItem",
    "gmeSourceContainingXMLElement",
    "gmeSourceContainingXMLNamespace",
    "gmeSourceXMLLocReference",
    "gmeTargetContainingXMLElement",
    "gmeTargetContainingXMLNamespace",
    "gmeTargetXMLLocReference",
    "id",
    "isBidirectional",
    "objectClassRelationship",
    "project",
    "publicID",
    "semanticMetadataCollection",
    "sourceHighCardinality",
    "sourceLowCardinality",
    "sourceRoleName",
    "sourceUMLClassMetadata",
    "targetHighCardinality",
    "targetLowCardinality",
    "targetRoleName",
    "targetUMLClassMetadata",
    "version"
})
public class UMLAssociationMetadata {

    @XmlElement(name = "UMLClassMetadata", required = true, nillable = true)
    protected UMLClassMetadata umlClassMetadata;
    @XmlElement(required = true, nillable = true)
    protected ClassSchemeClassSchemeItem classSchemeClassSchemeItem;
    @XmlElement(required = true, nillable = true)
    protected String gmeSourceContainingXMLElement;
    @XmlElement(required = true, nillable = true)
    protected String gmeSourceContainingXMLNamespace;
    @XmlElement(required = true, nillable = true)
    protected String gmeSourceXMLLocReference;
    @XmlElement(required = true, nillable = true)
    protected String gmeTargetContainingXMLElement;
    @XmlElement(required = true, nillable = true)
    protected String gmeTargetContainingXMLNamespace;
    @XmlElement(required = true, nillable = true)
    protected String gmeTargetXMLLocReference;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, type = Boolean.class, nillable = true)
    protected Boolean isBidirectional;
    @XmlElement(required = true, nillable = true)
    protected ObjectClassRelationship objectClassRelationship;
    @XmlElement(required = true, nillable = true)
    protected Project project;
    @XmlElement(required = true, type = Long.class, nillable = true)
    protected Long publicID;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType semanticMetadataCollection;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer sourceHighCardinality;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer sourceLowCardinality;
    @XmlElement(required = true, nillable = true)
    protected String sourceRoleName;
    @XmlElement(required = true, nillable = true)
    protected UMLClassMetadata sourceUMLClassMetadata;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer targetHighCardinality;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer targetLowCardinality;
    @XmlElement(required = true, nillable = true)
    protected String targetRoleName;
    @XmlElement(required = true, nillable = true)
    protected UMLClassMetadata targetUMLClassMetadata;
    @XmlElement(required = true, type = Float.class, nillable = true)
    protected Float version;

    /**
     * Gets the value of the umlClassMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link UMLClassMetadata }
     *     
     */
    public UMLClassMetadata getUMLClassMetadata() {
        return umlClassMetadata;
    }

    /**
     * Sets the value of the umlClassMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link UMLClassMetadata }
     *     
     */
    public void setUMLClassMetadata(UMLClassMetadata value) {
        this.umlClassMetadata = value;
    }

    /**
     * Gets the value of the classSchemeClassSchemeItem property.
     * 
     * @return
     *     possible object is
     *     {@link ClassSchemeClassSchemeItem }
     *     
     */
    public ClassSchemeClassSchemeItem getClassSchemeClassSchemeItem() {
        return classSchemeClassSchemeItem;
    }

    /**
     * Sets the value of the classSchemeClassSchemeItem property.
     * 
     * @param value
     *     allowed object is
     *     {@link ClassSchemeClassSchemeItem }
     *     
     */
    public void setClassSchemeClassSchemeItem(ClassSchemeClassSchemeItem value) {
        this.classSchemeClassSchemeItem = value;
    }

    /**
     * Gets the value of the gmeSourceContainingXMLElement property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGmeSourceContainingXMLElement() {
        return gmeSourceContainingXMLElement;
    }

    /**
     * Sets the value of the gmeSourceContainingXMLElement property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGmeSourceContainingXMLElement(String value) {
        this.gmeSourceContainingXMLElement = value;
    }

    /**
     * Gets the value of the gmeSourceContainingXMLNamespace property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGmeSourceContainingXMLNamespace() {
        return gmeSourceContainingXMLNamespace;
    }

    /**
     * Sets the value of the gmeSourceContainingXMLNamespace property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGmeSourceContainingXMLNamespace(String value) {
        this.gmeSourceContainingXMLNamespace = value;
    }

    /**
     * Gets the value of the gmeSourceXMLLocReference property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGmeSourceXMLLocReference() {
        return gmeSourceXMLLocReference;
    }

    /**
     * Sets the value of the gmeSourceXMLLocReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGmeSourceXMLLocReference(String value) {
        this.gmeSourceXMLLocReference = value;
    }

    /**
     * Gets the value of the gmeTargetContainingXMLElement property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGmeTargetContainingXMLElement() {
        return gmeTargetContainingXMLElement;
    }

    /**
     * Sets the value of the gmeTargetContainingXMLElement property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGmeTargetContainingXMLElement(String value) {
        this.gmeTargetContainingXMLElement = value;
    }

    /**
     * Gets the value of the gmeTargetContainingXMLNamespace property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGmeTargetContainingXMLNamespace() {
        return gmeTargetContainingXMLNamespace;
    }

    /**
     * Sets the value of the gmeTargetContainingXMLNamespace property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGmeTargetContainingXMLNamespace(String value) {
        this.gmeTargetContainingXMLNamespace = value;
    }

    /**
     * Gets the value of the gmeTargetXMLLocReference property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGmeTargetXMLLocReference() {
        return gmeTargetXMLLocReference;
    }

    /**
     * Sets the value of the gmeTargetXMLLocReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGmeTargetXMLLocReference(String value) {
        this.gmeTargetXMLLocReference = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the isBidirectional property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean getIsBidirectional() {
        return isBidirectional;
    }

    /**
     * Sets the value of the isBidirectional property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setIsBidirectional(Boolean value) {
        this.isBidirectional = value;
    }

    /**
     * Gets the value of the objectClassRelationship property.
     * 
     * @return
     *     possible object is
     *     {@link ObjectClassRelationship }
     *     
     */
    public ObjectClassRelationship getObjectClassRelationship() {
        return objectClassRelationship;
    }

    /**
     * Sets the value of the objectClassRelationship property.
     * 
     * @param value
     *     allowed object is
     *     {@link ObjectClassRelationship }
     *     
     */
    public void setObjectClassRelationship(ObjectClassRelationship value) {
        this.objectClassRelationship = value;
    }

    /**
     * Gets the value of the project property.
     * 
     * @return
     *     possible object is
     *     {@link Project }
     *     
     */
    public Project getProject() {
        return project;
    }

    /**
     * Sets the value of the project property.
     * 
     * @param value
     *     allowed object is
     *     {@link Project }
     *     
     */
    public void setProject(Project value) {
        this.project = value;
    }

    /**
     * Gets the value of the publicID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getPublicID() {
        return publicID;
    }

    /**
     * Sets the value of the publicID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setPublicID(Long value) {
        this.publicID = value;
    }

    /**
     * Gets the value of the semanticMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getSemanticMetadataCollection() {
        return semanticMetadataCollection;
    }

    /**
     * Sets the value of the semanticMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setSemanticMetadataCollection(ArrayOfXsdAnyType value) {
        this.semanticMetadataCollection = value;
    }

    /**
     * Gets the value of the sourceHighCardinality property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getSourceHighCardinality() {
        return sourceHighCardinality;
    }

    /**
     * Sets the value of the sourceHighCardinality property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setSourceHighCardinality(Integer value) {
        this.sourceHighCardinality = value;
    }

    /**
     * Gets the value of the sourceLowCardinality property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getSourceLowCardinality() {
        return sourceLowCardinality;
    }

    /**
     * Sets the value of the sourceLowCardinality property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setSourceLowCardinality(Integer value) {
        this.sourceLowCardinality = value;
    }

    /**
     * Gets the value of the sourceRoleName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSourceRoleName() {
        return sourceRoleName;
    }

    /**
     * Sets the value of the sourceRoleName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSourceRoleName(String value) {
        this.sourceRoleName = value;
    }

    /**
     * Gets the value of the sourceUMLClassMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link UMLClassMetadata }
     *     
     */
    public UMLClassMetadata getSourceUMLClassMetadata() {
        return sourceUMLClassMetadata;
    }

    /**
     * Sets the value of the sourceUMLClassMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link UMLClassMetadata }
     *     
     */
    public void setSourceUMLClassMetadata(UMLClassMetadata value) {
        this.sourceUMLClassMetadata = value;
    }

    /**
     * Gets the value of the targetHighCardinality property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getTargetHighCardinality() {
        return targetHighCardinality;
    }

    /**
     * Sets the value of the targetHighCardinality property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setTargetHighCardinality(Integer value) {
        this.targetHighCardinality = value;
    }

    /**
     * Gets the value of the targetLowCardinality property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getTargetLowCardinality() {
        return targetLowCardinality;
    }

    /**
     * Sets the value of the targetLowCardinality property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setTargetLowCardinality(Integer value) {
        this.targetLowCardinality = value;
    }

    /**
     * Gets the value of the targetRoleName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTargetRoleName() {
        return targetRoleName;
    }

    /**
     * Sets the value of the targetRoleName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTargetRoleName(String value) {
        this.targetRoleName = value;
    }

    /**
     * Gets the value of the targetUMLClassMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link UMLClassMetadata }
     *     
     */
    public UMLClassMetadata getTargetUMLClassMetadata() {
        return targetUMLClassMetadata;
    }

    /**
     * Sets the value of the targetUMLClassMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link UMLClassMetadata }
     *     
     */
    public void setTargetUMLClassMetadata(UMLClassMetadata value) {
        this.targetUMLClassMetadata = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setVersion(Float value) {
        this.version = value;
    }

}
