
package gov.nih.nci.cadsr.umlproject.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsr.domain.jaxb.DataElement;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for UMLAttributeMetadata complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UMLAttributeMetadata">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="UMLClassMetadata" type="{urn:domain.umlproject.cadsr.nci.nih.gov}UMLClassMetadata"/>
 *         &lt;element name="attributeTypeMetadata" type="{urn:domain.umlproject.cadsr.nci.nih.gov}AttributeTypeMetadata"/>
 *         &lt;element name="dataElement" type="{urn:domain.cadsr.nci.nih.gov}DataElement"/>
 *         &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="fullyQualifiedName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="gmeContainingXMLElement" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="gmeContainingXMLNamespace" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="gmeXMLLocReference" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="project" type="{urn:domain.umlproject.cadsr.nci.nih.gov}Project"/>
 *         &lt;element name="publicID" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="semanticMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UMLAttributeMetadata", propOrder = {
    "umlClassMetadata",
    "attributeTypeMetadata",
    "dataElement",
    "description",
    "fullyQualifiedName",
    "gmeContainingXMLElement",
    "gmeContainingXMLNamespace",
    "gmeXMLLocReference",
    "id",
    "name",
    "project",
    "publicID",
    "semanticMetadataCollection",
    "version"
})
public class UMLAttributeMetadata {

    @XmlElement(name = "UMLClassMetadata", required = true, nillable = true)
    protected UMLClassMetadata umlClassMetadata;
    @XmlElement(required = true, nillable = true)
    protected AttributeTypeMetadata attributeTypeMetadata;
    @XmlElement(required = true, nillable = true)
    protected DataElement dataElement;
    @XmlElement(required = true, nillable = true)
    protected String description;
    @XmlElement(required = true, nillable = true)
    protected String fullyQualifiedName;
    @XmlElement(required = true, nillable = true)
    protected String gmeContainingXMLElement;
    @XmlElement(required = true, nillable = true)
    protected String gmeContainingXMLNamespace;
    @XmlElement(required = true, nillable = true)
    protected String gmeXMLLocReference;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, nillable = true)
    protected String name;
    @XmlElement(required = true, nillable = true)
    protected Project project;
    @XmlElement(required = true, type = Long.class, nillable = true)
    protected Long publicID;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType semanticMetadataCollection;
    @XmlElement(required = true, type = Float.class, nillable = true)
    protected Float version;

    /**
     * Gets the value of the umlClassMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link UMLClassMetadata }
     *     
     */
    public UMLClassMetadata getUMLClassMetadata() {
        return umlClassMetadata;
    }

    /**
     * Sets the value of the umlClassMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link UMLClassMetadata }
     *     
     */
    public void setUMLClassMetadata(UMLClassMetadata value) {
        this.umlClassMetadata = value;
    }

    /**
     * Gets the value of the attributeTypeMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link AttributeTypeMetadata }
     *     
     */
    public AttributeTypeMetadata getAttributeTypeMetadata() {
        return attributeTypeMetadata;
    }

    /**
     * Sets the value of the attributeTypeMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link AttributeTypeMetadata }
     *     
     */
    public void setAttributeTypeMetadata(AttributeTypeMetadata value) {
        this.attributeTypeMetadata = value;
    }

    /**
     * Gets the value of the dataElement property.
     * 
     * @return
     *     possible object is
     *     {@link DataElement }
     *     
     */
    public DataElement getDataElement() {
        return dataElement;
    }

    /**
     * Sets the value of the dataElement property.
     * 
     * @param value
     *     allowed object is
     *     {@link DataElement }
     *     
     */
    public void setDataElement(DataElement value) {
        this.dataElement = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the fullyQualifiedName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFullyQualifiedName() {
        return fullyQualifiedName;
    }

    /**
     * Sets the value of the fullyQualifiedName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFullyQualifiedName(String value) {
        this.fullyQualifiedName = value;
    }

    /**
     * Gets the value of the gmeContainingXMLElement property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGmeContainingXMLElement() {
        return gmeContainingXMLElement;
    }

    /**
     * Sets the value of the gmeContainingXMLElement property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGmeContainingXMLElement(String value) {
        this.gmeContainingXMLElement = value;
    }

    /**
     * Gets the value of the gmeContainingXMLNamespace property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGmeContainingXMLNamespace() {
        return gmeContainingXMLNamespace;
    }

    /**
     * Sets the value of the gmeContainingXMLNamespace property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGmeContainingXMLNamespace(String value) {
        this.gmeContainingXMLNamespace = value;
    }

    /**
     * Gets the value of the gmeXMLLocReference property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGmeXMLLocReference() {
        return gmeXMLLocReference;
    }

    /**
     * Sets the value of the gmeXMLLocReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGmeXMLLocReference(String value) {
        this.gmeXMLLocReference = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the project property.
     * 
     * @return
     *     possible object is
     *     {@link Project }
     *     
     */
    public Project getProject() {
        return project;
    }

    /**
     * Sets the value of the project property.
     * 
     * @param value
     *     allowed object is
     *     {@link Project }
     *     
     */
    public void setProject(Project value) {
        this.project = value;
    }

    /**
     * Gets the value of the publicID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getPublicID() {
        return publicID;
    }

    /**
     * Sets the value of the publicID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setPublicID(Long value) {
        this.publicID = value;
    }

    /**
     * Gets the value of the semanticMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getSemanticMetadataCollection() {
        return semanticMetadataCollection;
    }

    /**
     * Sets the value of the semanticMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setSemanticMetadataCollection(ArrayOfXsdAnyType value) {
        this.semanticMetadataCollection = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setVersion(Float value) {
        this.version = value;
    }

}
