
package gov.nih.nci.cadsr.umlproject.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsr.domain.jaxb.ObjectClass;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for UMLClassMetadata complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UMLClassMetadata">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="UMLAssociationMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="UMLAttributeMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="UMLGeneralizationMetadata" type="{urn:domain.umlproject.cadsr.nci.nih.gov}UMLGeneralizationMetadata"/>
 *         &lt;element name="UMLGeneralizationMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="UMLPackageMetadata" type="{urn:domain.umlproject.cadsr.nci.nih.gov}UMLPackageMetadata"/>
 *         &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="fullyQualifiedName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="gmeNamespace" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="gmeXMLElement" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="objectClass" type="{urn:domain.cadsr.nci.nih.gov}ObjectClass"/>
 *         &lt;element name="project" type="{urn:domain.umlproject.cadsr.nci.nih.gov}Project"/>
 *         &lt;element name="publicID" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="semanticMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="sourceAssociationMetadata" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="targetAssociationMetadata" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UMLClassMetadata", propOrder = {
    "umlAssociationMetadataCollection",
    "umlAttributeMetadataCollection",
    "umlGeneralizationMetadata",
    "umlGeneralizationMetadataCollection",
    "umlPackageMetadata",
    "description",
    "fullyQualifiedName",
    "gmeNamespace",
    "gmeXMLElement",
    "id",
    "name",
    "objectClass",
    "project",
    "publicID",
    "semanticMetadataCollection",
    "sourceAssociationMetadata",
    "targetAssociationMetadata",
    "version"
})
public class UMLClassMetadata {

    @XmlElement(name = "UMLAssociationMetadataCollection", required = true, nillable = true)
    protected ArrayOfXsdAnyType umlAssociationMetadataCollection;
    @XmlElement(name = "UMLAttributeMetadataCollection", required = true, nillable = true)
    protected ArrayOfXsdAnyType umlAttributeMetadataCollection;
    @XmlElement(name = "UMLGeneralizationMetadata", required = true, nillable = true)
    protected UMLGeneralizationMetadata umlGeneralizationMetadata;
    @XmlElement(name = "UMLGeneralizationMetadataCollection", required = true, nillable = true)
    protected ArrayOfXsdAnyType umlGeneralizationMetadataCollection;
    @XmlElement(name = "UMLPackageMetadata", required = true, nillable = true)
    protected UMLPackageMetadata umlPackageMetadata;
    @XmlElement(required = true, nillable = true)
    protected String description;
    @XmlElement(required = true, nillable = true)
    protected String fullyQualifiedName;
    @XmlElement(required = true, nillable = true)
    protected String gmeNamespace;
    @XmlElement(required = true, nillable = true)
    protected String gmeXMLElement;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, nillable = true)
    protected String name;
    @XmlElement(required = true, nillable = true)
    protected ObjectClass objectClass;
    @XmlElement(required = true, nillable = true)
    protected Project project;
    @XmlElement(required = true, type = Long.class, nillable = true)
    protected Long publicID;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType semanticMetadataCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType sourceAssociationMetadata;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType targetAssociationMetadata;
    @XmlElement(required = true, type = Float.class, nillable = true)
    protected Float version;

    /**
     * Gets the value of the umlAssociationMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getUMLAssociationMetadataCollection() {
        return umlAssociationMetadataCollection;
    }

    /**
     * Sets the value of the umlAssociationMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setUMLAssociationMetadataCollection(ArrayOfXsdAnyType value) {
        this.umlAssociationMetadataCollection = value;
    }

    /**
     * Gets the value of the umlAttributeMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getUMLAttributeMetadataCollection() {
        return umlAttributeMetadataCollection;
    }

    /**
     * Sets the value of the umlAttributeMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setUMLAttributeMetadataCollection(ArrayOfXsdAnyType value) {
        this.umlAttributeMetadataCollection = value;
    }

    /**
     * Gets the value of the umlGeneralizationMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link UMLGeneralizationMetadata }
     *     
     */
    public UMLGeneralizationMetadata getUMLGeneralizationMetadata() {
        return umlGeneralizationMetadata;
    }

    /**
     * Sets the value of the umlGeneralizationMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link UMLGeneralizationMetadata }
     *     
     */
    public void setUMLGeneralizationMetadata(UMLGeneralizationMetadata value) {
        this.umlGeneralizationMetadata = value;
    }

    /**
     * Gets the value of the umlGeneralizationMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getUMLGeneralizationMetadataCollection() {
        return umlGeneralizationMetadataCollection;
    }

    /**
     * Sets the value of the umlGeneralizationMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setUMLGeneralizationMetadataCollection(ArrayOfXsdAnyType value) {
        this.umlGeneralizationMetadataCollection = value;
    }

    /**
     * Gets the value of the umlPackageMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link UMLPackageMetadata }
     *     
     */
    public UMLPackageMetadata getUMLPackageMetadata() {
        return umlPackageMetadata;
    }

    /**
     * Sets the value of the umlPackageMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link UMLPackageMetadata }
     *     
     */
    public void setUMLPackageMetadata(UMLPackageMetadata value) {
        this.umlPackageMetadata = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the fullyQualifiedName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFullyQualifiedName() {
        return fullyQualifiedName;
    }

    /**
     * Sets the value of the fullyQualifiedName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFullyQualifiedName(String value) {
        this.fullyQualifiedName = value;
    }

    /**
     * Gets the value of the gmeNamespace property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGmeNamespace() {
        return gmeNamespace;
    }

    /**
     * Sets the value of the gmeNamespace property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGmeNamespace(String value) {
        this.gmeNamespace = value;
    }

    /**
     * Gets the value of the gmeXMLElement property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGmeXMLElement() {
        return gmeXMLElement;
    }

    /**
     * Sets the value of the gmeXMLElement property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGmeXMLElement(String value) {
        this.gmeXMLElement = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the objectClass property.
     * 
     * @return
     *     possible object is
     *     {@link ObjectClass }
     *     
     */
    public ObjectClass getObjectClass() {
        return objectClass;
    }

    /**
     * Sets the value of the objectClass property.
     * 
     * @param value
     *     allowed object is
     *     {@link ObjectClass }
     *     
     */
    public void setObjectClass(ObjectClass value) {
        this.objectClass = value;
    }

    /**
     * Gets the value of the project property.
     * 
     * @return
     *     possible object is
     *     {@link Project }
     *     
     */
    public Project getProject() {
        return project;
    }

    /**
     * Sets the value of the project property.
     * 
     * @param value
     *     allowed object is
     *     {@link Project }
     *     
     */
    public void setProject(Project value) {
        this.project = value;
    }

    /**
     * Gets the value of the publicID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getPublicID() {
        return publicID;
    }

    /**
     * Sets the value of the publicID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setPublicID(Long value) {
        this.publicID = value;
    }

    /**
     * Gets the value of the semanticMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getSemanticMetadataCollection() {
        return semanticMetadataCollection;
    }

    /**
     * Sets the value of the semanticMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setSemanticMetadataCollection(ArrayOfXsdAnyType value) {
        this.semanticMetadataCollection = value;
    }

    /**
     * Gets the value of the sourceAssociationMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getSourceAssociationMetadata() {
        return sourceAssociationMetadata;
    }

    /**
     * Sets the value of the sourceAssociationMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setSourceAssociationMetadata(ArrayOfXsdAnyType value) {
        this.sourceAssociationMetadata = value;
    }

    /**
     * Gets the value of the targetAssociationMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getTargetAssociationMetadata() {
        return targetAssociationMetadata;
    }

    /**
     * Sets the value of the targetAssociationMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setTargetAssociationMetadata(ArrayOfXsdAnyType value) {
        this.targetAssociationMetadata = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setVersion(Float value) {
        this.version = value;
    }

}
