
package gov.nih.nci.cadsr.umlproject.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsr.domain.jaxb.ObjectClassRelationship;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for UMLGeneralizationMetadata complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UMLGeneralizationMetadata">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="UMLClassMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="objectClassRelationship" type="{urn:domain.cadsr.nci.nih.gov}ObjectClassRelationship"/>
 *         &lt;element name="publicID" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="superUMLClassMetadata" type="{urn:domain.umlproject.cadsr.nci.nih.gov}UMLClassMetadata"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UMLGeneralizationMetadata", propOrder = {
    "umlClassMetadataCollection",
    "id",
    "objectClassRelationship",
    "publicID",
    "superUMLClassMetadata",
    "version"
})
public class UMLGeneralizationMetadata {

    @XmlElement(name = "UMLClassMetadataCollection", required = true, nillable = true)
    protected ArrayOfXsdAnyType umlClassMetadataCollection;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, nillable = true)
    protected ObjectClassRelationship objectClassRelationship;
    @XmlElement(required = true, type = Long.class, nillable = true)
    protected Long publicID;
    @XmlElement(required = true, nillable = true)
    protected UMLClassMetadata superUMLClassMetadata;
    @XmlElement(required = true, type = Float.class, nillable = true)
    protected Float version;

    /**
     * Gets the value of the umlClassMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getUMLClassMetadataCollection() {
        return umlClassMetadataCollection;
    }

    /**
     * Sets the value of the umlClassMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setUMLClassMetadataCollection(ArrayOfXsdAnyType value) {
        this.umlClassMetadataCollection = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the objectClassRelationship property.
     * 
     * @return
     *     possible object is
     *     {@link ObjectClassRelationship }
     *     
     */
    public ObjectClassRelationship getObjectClassRelationship() {
        return objectClassRelationship;
    }

    /**
     * Sets the value of the objectClassRelationship property.
     * 
     * @param value
     *     allowed object is
     *     {@link ObjectClassRelationship }
     *     
     */
    public void setObjectClassRelationship(ObjectClassRelationship value) {
        this.objectClassRelationship = value;
    }

    /**
     * Gets the value of the publicID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getPublicID() {
        return publicID;
    }

    /**
     * Sets the value of the publicID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setPublicID(Long value) {
        this.publicID = value;
    }

    /**
     * Gets the value of the superUMLClassMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link UMLClassMetadata }
     *     
     */
    public UMLClassMetadata getSuperUMLClassMetadata() {
        return superUMLClassMetadata;
    }

    /**
     * Sets the value of the superUMLClassMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link UMLClassMetadata }
     *     
     */
    public void setSuperUMLClassMetadata(UMLClassMetadata value) {
        this.superUMLClassMetadata = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setVersion(Float value) {
        this.version = value;
    }

}
