
package gov.nih.nci.cadsr.umlproject.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsr.domain.jaxb.ClassSchemeClassSchemeItem;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for UMLPackageMetadata complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="UMLPackageMetadata">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="UMLClassMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="classSchemeClassSchemeItem" type="{urn:domain.cadsr.nci.nih.gov}ClassSchemeClassSchemeItem"/>
 *         &lt;element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="gmeNamespace" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="packageType" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="project" type="{urn:domain.umlproject.cadsr.nci.nih.gov}Project"/>
 *         &lt;element name="publicID" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="subProject" type="{urn:domain.umlproject.cadsr.nci.nih.gov}SubProject"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "UMLPackageMetadata", propOrder = {
    "umlClassMetadataCollection",
    "classSchemeClassSchemeItem",
    "description",
    "gmeNamespace",
    "id",
    "name",
    "packageType",
    "project",
    "publicID",
    "subProject",
    "version"
})
public class UMLPackageMetadata {

    @XmlElement(name = "UMLClassMetadataCollection", required = true, nillable = true)
    protected ArrayOfXsdAnyType umlClassMetadataCollection;
    @XmlElement(required = true, nillable = true)
    protected ClassSchemeClassSchemeItem classSchemeClassSchemeItem;
    @XmlElement(required = true, nillable = true)
    protected String description;
    @XmlElement(required = true, nillable = true)
    protected String gmeNamespace;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, nillable = true)
    protected String name;
    @XmlElement(required = true, nillable = true)
    protected String packageType;
    @XmlElement(required = true, nillable = true)
    protected Project project;
    @XmlElement(required = true, type = Long.class, nillable = true)
    protected Long publicID;
    @XmlElement(required = true, nillable = true)
    protected SubProject subProject;
    @XmlElement(required = true, type = Float.class, nillable = true)
    protected Float version;

    /**
     * Gets the value of the umlClassMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getUMLClassMetadataCollection() {
        return umlClassMetadataCollection;
    }

    /**
     * Sets the value of the umlClassMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setUMLClassMetadataCollection(ArrayOfXsdAnyType value) {
        this.umlClassMetadataCollection = value;
    }

    /**
     * Gets the value of the classSchemeClassSchemeItem property.
     * 
     * @return
     *     possible object is
     *     {@link ClassSchemeClassSchemeItem }
     *     
     */
    public ClassSchemeClassSchemeItem getClassSchemeClassSchemeItem() {
        return classSchemeClassSchemeItem;
    }

    /**
     * Sets the value of the classSchemeClassSchemeItem property.
     * 
     * @param value
     *     allowed object is
     *     {@link ClassSchemeClassSchemeItem }
     *     
     */
    public void setClassSchemeClassSchemeItem(ClassSchemeClassSchemeItem value) {
        this.classSchemeClassSchemeItem = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription(String value) {
        this.description = value;
    }

    /**
     * Gets the value of the gmeNamespace property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGmeNamespace() {
        return gmeNamespace;
    }

    /**
     * Sets the value of the gmeNamespace property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGmeNamespace(String value) {
        this.gmeNamespace = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the packageType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPackageType() {
        return packageType;
    }

    /**
     * Sets the value of the packageType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPackageType(String value) {
        this.packageType = value;
    }

    /**
     * Gets the value of the project property.
     * 
     * @return
     *     possible object is
     *     {@link Project }
     *     
     */
    public Project getProject() {
        return project;
    }

    /**
     * Sets the value of the project property.
     * 
     * @param value
     *     allowed object is
     *     {@link Project }
     *     
     */
    public void setProject(Project value) {
        this.project = value;
    }

    /**
     * Gets the value of the publicID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getPublicID() {
        return publicID;
    }

    /**
     * Sets the value of the publicID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setPublicID(Long value) {
        this.publicID = value;
    }

    /**
     * Gets the value of the subProject property.
     * 
     * @return
     *     possible object is
     *     {@link SubProject }
     *     
     */
    public SubProject getSubProject() {
        return subProject;
    }

    /**
     * Sets the value of the subProject property.
     * 
     * @param value
     *     allowed object is
     *     {@link SubProject }
     *     
     */
    public void setSubProject(SubProject value) {
        this.subProject = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setVersion(Float value) {
        this.version = value;
    }

}
