/*
 * Copyright (C) 2009 National Marrow Donor Program. All Rights Reserved.
 */

package net.agnis.metadatatool.ui.swing

import java.awt.event.MouseAdapter
import java.awt.event.MouseEvent

class MouseDoubleclickListener
extends MouseAdapter
{
    Closure doubleclickClosure = null

    MouseDoubleclickListener(Closure c)
    {
        this.doubleclickClosure = c
    }

    public void mouseClicked(MouseEvent e)
    {
        if((e.button == MouseEvent.BUTTON1) && (e.clickCount == 2))
        {
            doubleclickClosure.call()
        }
    }
}