
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for ClassSchemeClassSchemeItem complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ClassSchemeClassSchemeItem">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="UMLPackageMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="administeredComponentClassSchemeItemCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="administeredComponentContact" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="association" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="childClassSchemeClassSchemeItemCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="classificationScheme" type="{urn:domain.cadsr.nci.nih.gov}ClassificationScheme"/>
 *         &lt;element name="classificationSchemeItem" type="{urn:domain.cadsr.nci.nih.gov}ClassificationSchemeItem"/>
 *         &lt;element name="createdBy" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="dateCreated" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="dateModified" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="definitionClassSchemeItemCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="designationClassSchemeItemCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="displayOrder" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="modifiedBy" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="parentClassSchemeClassSchemeItem" type="{urn:domain.cadsr.nci.nih.gov}ClassSchemeClassSchemeItem"/>
 *         &lt;element name="referenceDocumentCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="subProjectCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ClassSchemeClassSchemeItem", propOrder = {
    "umlPackageMetadataCollection",
    "administeredComponentClassSchemeItemCollection",
    "administeredComponentContact",
    "association",
    "childClassSchemeClassSchemeItemCollection",
    "classificationScheme",
    "classificationSchemeItem",
    "createdBy",
    "dateCreated",
    "dateModified",
    "definitionClassSchemeItemCollection",
    "designationClassSchemeItemCollection",
    "displayOrder",
    "id",
    "modifiedBy",
    "parentClassSchemeClassSchemeItem",
    "referenceDocumentCollection",
    "subProjectCollection"
})
public class ClassSchemeClassSchemeItem {

    @XmlElement(name = "UMLPackageMetadataCollection", required = true, nillable = true)
    protected ArrayOfXsdAnyType umlPackageMetadataCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType administeredComponentClassSchemeItemCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType administeredComponentContact;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType association;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType childClassSchemeClassSchemeItemCollection;
    @XmlElement(required = true, nillable = true)
    protected ClassificationScheme classificationScheme;
    @XmlElement(required = true, nillable = true)
    protected ClassificationSchemeItem classificationSchemeItem;
    @XmlElement(required = true, nillable = true)
    protected String createdBy;
    @XmlElement(required = true, nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar dateCreated;
    @XmlElement(required = true, nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar dateModified;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType definitionClassSchemeItemCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType designationClassSchemeItemCollection;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer displayOrder;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, nillable = true)
    protected String modifiedBy;
    @XmlElement(required = true, nillable = true)
    protected ClassSchemeClassSchemeItem parentClassSchemeClassSchemeItem;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType referenceDocumentCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType subProjectCollection;

    /**
     * Gets the value of the umlPackageMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getUMLPackageMetadataCollection() {
        return umlPackageMetadataCollection;
    }

    /**
     * Sets the value of the umlPackageMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setUMLPackageMetadataCollection(ArrayOfXsdAnyType value) {
        this.umlPackageMetadataCollection = value;
    }

    /**
     * Gets the value of the administeredComponentClassSchemeItemCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getAdministeredComponentClassSchemeItemCollection() {
        return administeredComponentClassSchemeItemCollection;
    }

    /**
     * Sets the value of the administeredComponentClassSchemeItemCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setAdministeredComponentClassSchemeItemCollection(ArrayOfXsdAnyType value) {
        this.administeredComponentClassSchemeItemCollection = value;
    }

    /**
     * Gets the value of the administeredComponentContact property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getAdministeredComponentContact() {
        return administeredComponentContact;
    }

    /**
     * Sets the value of the administeredComponentContact property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setAdministeredComponentContact(ArrayOfXsdAnyType value) {
        this.administeredComponentContact = value;
    }

    /**
     * Gets the value of the association property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getAssociation() {
        return association;
    }

    /**
     * Sets the value of the association property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setAssociation(ArrayOfXsdAnyType value) {
        this.association = value;
    }

    /**
     * Gets the value of the childClassSchemeClassSchemeItemCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getChildClassSchemeClassSchemeItemCollection() {
        return childClassSchemeClassSchemeItemCollection;
    }

    /**
     * Sets the value of the childClassSchemeClassSchemeItemCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setChildClassSchemeClassSchemeItemCollection(ArrayOfXsdAnyType value) {
        this.childClassSchemeClassSchemeItemCollection = value;
    }

    /**
     * Gets the value of the classificationScheme property.
     * 
     * @return
     *     possible object is
     *     {@link ClassificationScheme }
     *     
     */
    public ClassificationScheme getClassificationScheme() {
        return classificationScheme;
    }

    /**
     * Sets the value of the classificationScheme property.
     * 
     * @param value
     *     allowed object is
     *     {@link ClassificationScheme }
     *     
     */
    public void setClassificationScheme(ClassificationScheme value) {
        this.classificationScheme = value;
    }

    /**
     * Gets the value of the classificationSchemeItem property.
     * 
     * @return
     *     possible object is
     *     {@link ClassificationSchemeItem }
     *     
     */
    public ClassificationSchemeItem getClassificationSchemeItem() {
        return classificationSchemeItem;
    }

    /**
     * Sets the value of the classificationSchemeItem property.
     * 
     * @param value
     *     allowed object is
     *     {@link ClassificationSchemeItem }
     *     
     */
    public void setClassificationSchemeItem(ClassificationSchemeItem value) {
        this.classificationSchemeItem = value;
    }

    /**
     * Gets the value of the createdBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * Sets the value of the createdBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreatedBy(String value) {
        this.createdBy = value;
    }

    /**
     * Gets the value of the dateCreated property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateCreated() {
        return dateCreated;
    }

    /**
     * Sets the value of the dateCreated property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateCreated(XMLGregorianCalendar value) {
        this.dateCreated = value;
    }

    /**
     * Gets the value of the dateModified property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateModified() {
        return dateModified;
    }

    /**
     * Sets the value of the dateModified property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateModified(XMLGregorianCalendar value) {
        this.dateModified = value;
    }

    /**
     * Gets the value of the definitionClassSchemeItemCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getDefinitionClassSchemeItemCollection() {
        return definitionClassSchemeItemCollection;
    }

    /**
     * Sets the value of the definitionClassSchemeItemCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setDefinitionClassSchemeItemCollection(ArrayOfXsdAnyType value) {
        this.definitionClassSchemeItemCollection = value;
    }

    /**
     * Gets the value of the designationClassSchemeItemCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getDesignationClassSchemeItemCollection() {
        return designationClassSchemeItemCollection;
    }

    /**
     * Sets the value of the designationClassSchemeItemCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setDesignationClassSchemeItemCollection(ArrayOfXsdAnyType value) {
        this.designationClassSchemeItemCollection = value;
    }

    /**
     * Gets the value of the displayOrder property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDisplayOrder() {
        return displayOrder;
    }

    /**
     * Sets the value of the displayOrder property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDisplayOrder(Integer value) {
        this.displayOrder = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the modifiedBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getModifiedBy() {
        return modifiedBy;
    }

    /**
     * Sets the value of the modifiedBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setModifiedBy(String value) {
        this.modifiedBy = value;
    }

    /**
     * Gets the value of the parentClassSchemeClassSchemeItem property.
     * 
     * @return
     *     possible object is
     *     {@link ClassSchemeClassSchemeItem }
     *     
     */
    public ClassSchemeClassSchemeItem getParentClassSchemeClassSchemeItem() {
        return parentClassSchemeClassSchemeItem;
    }

    /**
     * Sets the value of the parentClassSchemeClassSchemeItem property.
     * 
     * @param value
     *     allowed object is
     *     {@link ClassSchemeClassSchemeItem }
     *     
     */
    public void setParentClassSchemeClassSchemeItem(ClassSchemeClassSchemeItem value) {
        this.parentClassSchemeClassSchemeItem = value;
    }

    /**
     * Gets the value of the referenceDocumentCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getReferenceDocumentCollection() {
        return referenceDocumentCollection;
    }

    /**
     * Sets the value of the referenceDocumentCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setReferenceDocumentCollection(ArrayOfXsdAnyType value) {
        this.referenceDocumentCollection = value;
    }

    /**
     * Gets the value of the subProjectCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getSubProjectCollection() {
        return subProjectCollection;
    }

    /**
     * Sets the value of the subProjectCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setSubProjectCollection(ArrayOfXsdAnyType value) {
        this.subProjectCollection = value;
    }

}
