
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for DataElement complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DataElement">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:domain.cadsr.nci.nih.gov}AdministeredComponent">
 *       &lt;sequence>
 *         &lt;element name="attributeMetadata" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="childDataElementRelationshipsCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="dataElementConcept" type="{urn:domain.cadsr.nci.nih.gov}DataElementConcept"/>
 *         &lt;element name="dataElementDerivationCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="derivedDataElement" type="{urn:domain.cadsr.nci.nih.gov}DerivedDataElement"/>
 *         &lt;element name="parentDataElementRelationshipsCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="questionCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="valueDomain" type="{urn:domain.cadsr.nci.nih.gov}ValueDomain"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DataElement", propOrder = {
    "attributeMetadata",
    "childDataElementRelationshipsCollection",
    "dataElementConcept",
    "dataElementDerivationCollection",
    "derivedDataElement",
    "parentDataElementRelationshipsCollection",
    "questionCollection",
    "valueDomain"
})
public class DataElement
    extends AdministeredComponent
{

    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType attributeMetadata;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType childDataElementRelationshipsCollection;
    @XmlElement(required = true, nillable = true)
    protected DataElementConcept dataElementConcept;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType dataElementDerivationCollection;
    @XmlElement(required = true, nillable = true)
    protected DerivedDataElement derivedDataElement;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType parentDataElementRelationshipsCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType questionCollection;
    @XmlElement(required = true, nillable = true)
    protected ValueDomain valueDomain;

    /**
     * Gets the value of the attributeMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getAttributeMetadata() {
        return attributeMetadata;
    }

    /**
     * Sets the value of the attributeMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setAttributeMetadata(ArrayOfXsdAnyType value) {
        this.attributeMetadata = value;
    }

    /**
     * Gets the value of the childDataElementRelationshipsCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getChildDataElementRelationshipsCollection() {
        return childDataElementRelationshipsCollection;
    }

    /**
     * Sets the value of the childDataElementRelationshipsCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setChildDataElementRelationshipsCollection(ArrayOfXsdAnyType value) {
        this.childDataElementRelationshipsCollection = value;
    }

    /**
     * Gets the value of the dataElementConcept property.
     * 
     * @return
     *     possible object is
     *     {@link DataElementConcept }
     *     
     */
    public DataElementConcept getDataElementConcept() {
        return dataElementConcept;
    }

    /**
     * Sets the value of the dataElementConcept property.
     * 
     * @param value
     *     allowed object is
     *     {@link DataElementConcept }
     *     
     */
    public void setDataElementConcept(DataElementConcept value) {
        this.dataElementConcept = value;
    }

    /**
     * Gets the value of the dataElementDerivationCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getDataElementDerivationCollection() {
        return dataElementDerivationCollection;
    }

    /**
     * Sets the value of the dataElementDerivationCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setDataElementDerivationCollection(ArrayOfXsdAnyType value) {
        this.dataElementDerivationCollection = value;
    }

    /**
     * Gets the value of the derivedDataElement property.
     * 
     * @return
     *     possible object is
     *     {@link DerivedDataElement }
     *     
     */
    public DerivedDataElement getDerivedDataElement() {
        return derivedDataElement;
    }

    /**
     * Sets the value of the derivedDataElement property.
     * 
     * @param value
     *     allowed object is
     *     {@link DerivedDataElement }
     *     
     */
    public void setDerivedDataElement(DerivedDataElement value) {
        this.derivedDataElement = value;
    }

    /**
     * Gets the value of the parentDataElementRelationshipsCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getParentDataElementRelationshipsCollection() {
        return parentDataElementRelationshipsCollection;
    }

    /**
     * Sets the value of the parentDataElementRelationshipsCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setParentDataElementRelationshipsCollection(ArrayOfXsdAnyType value) {
        this.parentDataElementRelationshipsCollection = value;
    }

    /**
     * Gets the value of the questionCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getQuestionCollection() {
        return questionCollection;
    }

    /**
     * Sets the value of the questionCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setQuestionCollection(ArrayOfXsdAnyType value) {
        this.questionCollection = value;
    }

    /**
     * Gets the value of the valueDomain property.
     * 
     * @return
     *     possible object is
     *     {@link ValueDomain }
     *     
     */
    public ValueDomain getValueDomain() {
        return valueDomain;
    }

    /**
     * Sets the value of the valueDomain property.
     * 
     * @param value
     *     allowed object is
     *     {@link ValueDomain }
     *     
     */
    public void setValueDomain(ValueDomain value) {
        this.valueDomain = value;
    }

}
