
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for ObjectClassRelationship complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ObjectClassRelationship">
 *   &lt;complexContent>
 *     &lt;extension base="{urn:domain.cadsr.nci.nih.gov}AdministeredComponent">
 *       &lt;sequence>
 *         &lt;element name="associationMetadata" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="conceptDerivationRule" type="{urn:domain.cadsr.nci.nih.gov}ConceptDerivationRule"/>
 *         &lt;element name="dimensionality" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="direction" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="displayOrder" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="generalizationMetadata" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="isArray" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="sourceConceptDerivationRule" type="{urn:domain.cadsr.nci.nih.gov}ConceptDerivationRule"/>
 *         &lt;element name="sourceHighMultiplicity" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="sourceLowMultiplicity" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="sourceObjectClass" type="{urn:domain.cadsr.nci.nih.gov}ObjectClass"/>
 *         &lt;element name="sourceObjectClassClassification" type="{urn:domain.cadsr.nci.nih.gov}AdministeredComponentClassSchemeItem"/>
 *         &lt;element name="sourceRole" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="targetConceptDerivationRule" type="{urn:domain.cadsr.nci.nih.gov}ConceptDerivationRule"/>
 *         &lt;element name="targetHighMultiplicity" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="targetLowMultiplicity" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="targetObjectClass" type="{urn:domain.cadsr.nci.nih.gov}ObjectClass"/>
 *         &lt;element name="targetObjectClassClassification" type="{urn:domain.cadsr.nci.nih.gov}AdministeredComponentClassSchemeItem"/>
 *         &lt;element name="targetRole" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ObjectClassRelationship", propOrder = {
    "associationMetadata",
    "conceptDerivationRule",
    "dimensionality",
    "direction",
    "displayOrder",
    "generalizationMetadata",
    "isArray",
    "name",
    "sourceConceptDerivationRule",
    "sourceHighMultiplicity",
    "sourceLowMultiplicity",
    "sourceObjectClass",
    "sourceObjectClassClassification",
    "sourceRole",
    "targetConceptDerivationRule",
    "targetHighMultiplicity",
    "targetLowMultiplicity",
    "targetObjectClass",
    "targetObjectClassClassification",
    "targetRole"
})
public class ObjectClassRelationship
    extends AdministeredComponent
{

    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType associationMetadata;
    @XmlElement(required = true, nillable = true)
    protected ConceptDerivationRule conceptDerivationRule;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer dimensionality;
    @XmlElement(required = true, nillable = true)
    protected String direction;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer displayOrder;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType generalizationMetadata;
    @XmlElement(required = true, nillable = true)
    protected String isArray;
    @XmlElement(required = true, nillable = true)
    protected String name;
    @XmlElement(required = true, nillable = true)
    protected ConceptDerivationRule sourceConceptDerivationRule;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer sourceHighMultiplicity;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer sourceLowMultiplicity;
    @XmlElement(required = true, nillable = true)
    protected ObjectClass sourceObjectClass;
    @XmlElement(required = true, nillable = true)
    protected AdministeredComponentClassSchemeItem sourceObjectClassClassification;
    @XmlElement(required = true, nillable = true)
    protected String sourceRole;
    @XmlElement(required = true, nillable = true)
    protected ConceptDerivationRule targetConceptDerivationRule;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer targetHighMultiplicity;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer targetLowMultiplicity;
    @XmlElement(required = true, nillable = true)
    protected ObjectClass targetObjectClass;
    @XmlElement(required = true, nillable = true)
    protected AdministeredComponentClassSchemeItem targetObjectClassClassification;
    @XmlElement(required = true, nillable = true)
    protected String targetRole;

    /**
     * Gets the value of the associationMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getAssociationMetadata() {
        return associationMetadata;
    }

    /**
     * Sets the value of the associationMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setAssociationMetadata(ArrayOfXsdAnyType value) {
        this.associationMetadata = value;
    }

    /**
     * Gets the value of the conceptDerivationRule property.
     * 
     * @return
     *     possible object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public ConceptDerivationRule getConceptDerivationRule() {
        return conceptDerivationRule;
    }

    /**
     * Sets the value of the conceptDerivationRule property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public void setConceptDerivationRule(ConceptDerivationRule value) {
        this.conceptDerivationRule = value;
    }

    /**
     * Gets the value of the dimensionality property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDimensionality() {
        return dimensionality;
    }

    /**
     * Sets the value of the dimensionality property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDimensionality(Integer value) {
        this.dimensionality = value;
    }

    /**
     * Gets the value of the direction property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDirection() {
        return direction;
    }

    /**
     * Sets the value of the direction property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDirection(String value) {
        this.direction = value;
    }

    /**
     * Gets the value of the displayOrder property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDisplayOrder() {
        return displayOrder;
    }

    /**
     * Sets the value of the displayOrder property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDisplayOrder(Integer value) {
        this.displayOrder = value;
    }

    /**
     * Gets the value of the generalizationMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getGeneralizationMetadata() {
        return generalizationMetadata;
    }

    /**
     * Sets the value of the generalizationMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setGeneralizationMetadata(ArrayOfXsdAnyType value) {
        this.generalizationMetadata = value;
    }

    /**
     * Gets the value of the isArray property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIsArray() {
        return isArray;
    }

    /**
     * Sets the value of the isArray property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIsArray(String value) {
        this.isArray = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the sourceConceptDerivationRule property.
     * 
     * @return
     *     possible object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public ConceptDerivationRule getSourceConceptDerivationRule() {
        return sourceConceptDerivationRule;
    }

    /**
     * Sets the value of the sourceConceptDerivationRule property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public void setSourceConceptDerivationRule(ConceptDerivationRule value) {
        this.sourceConceptDerivationRule = value;
    }

    /**
     * Gets the value of the sourceHighMultiplicity property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getSourceHighMultiplicity() {
        return sourceHighMultiplicity;
    }

    /**
     * Sets the value of the sourceHighMultiplicity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setSourceHighMultiplicity(Integer value) {
        this.sourceHighMultiplicity = value;
    }

    /**
     * Gets the value of the sourceLowMultiplicity property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getSourceLowMultiplicity() {
        return sourceLowMultiplicity;
    }

    /**
     * Sets the value of the sourceLowMultiplicity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setSourceLowMultiplicity(Integer value) {
        this.sourceLowMultiplicity = value;
    }

    /**
     * Gets the value of the sourceObjectClass property.
     * 
     * @return
     *     possible object is
     *     {@link ObjectClass }
     *     
     */
    public ObjectClass getSourceObjectClass() {
        return sourceObjectClass;
    }

    /**
     * Sets the value of the sourceObjectClass property.
     * 
     * @param value
     *     allowed object is
     *     {@link ObjectClass }
     *     
     */
    public void setSourceObjectClass(ObjectClass value) {
        this.sourceObjectClass = value;
    }

    /**
     * Gets the value of the sourceObjectClassClassification property.
     * 
     * @return
     *     possible object is
     *     {@link AdministeredComponentClassSchemeItem }
     *     
     */
    public AdministeredComponentClassSchemeItem getSourceObjectClassClassification() {
        return sourceObjectClassClassification;
    }

    /**
     * Sets the value of the sourceObjectClassClassification property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdministeredComponentClassSchemeItem }
     *     
     */
    public void setSourceObjectClassClassification(AdministeredComponentClassSchemeItem value) {
        this.sourceObjectClassClassification = value;
    }

    /**
     * Gets the value of the sourceRole property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSourceRole() {
        return sourceRole;
    }

    /**
     * Sets the value of the sourceRole property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSourceRole(String value) {
        this.sourceRole = value;
    }

    /**
     * Gets the value of the targetConceptDerivationRule property.
     * 
     * @return
     *     possible object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public ConceptDerivationRule getTargetConceptDerivationRule() {
        return targetConceptDerivationRule;
    }

    /**
     * Sets the value of the targetConceptDerivationRule property.
     * 
     * @param value
     *     allowed object is
     *     {@link ConceptDerivationRule }
     *     
     */
    public void setTargetConceptDerivationRule(ConceptDerivationRule value) {
        this.targetConceptDerivationRule = value;
    }

    /**
     * Gets the value of the targetHighMultiplicity property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getTargetHighMultiplicity() {
        return targetHighMultiplicity;
    }

    /**
     * Sets the value of the targetHighMultiplicity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setTargetHighMultiplicity(Integer value) {
        this.targetHighMultiplicity = value;
    }

    /**
     * Gets the value of the targetLowMultiplicity property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getTargetLowMultiplicity() {
        return targetLowMultiplicity;
    }

    /**
     * Sets the value of the targetLowMultiplicity property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setTargetLowMultiplicity(Integer value) {
        this.targetLowMultiplicity = value;
    }

    /**
     * Gets the value of the targetObjectClass property.
     * 
     * @return
     *     possible object is
     *     {@link ObjectClass }
     *     
     */
    public ObjectClass getTargetObjectClass() {
        return targetObjectClass;
    }

    /**
     * Sets the value of the targetObjectClass property.
     * 
     * @param value
     *     allowed object is
     *     {@link ObjectClass }
     *     
     */
    public void setTargetObjectClass(ObjectClass value) {
        this.targetObjectClass = value;
    }

    /**
     * Gets the value of the targetObjectClassClassification property.
     * 
     * @return
     *     possible object is
     *     {@link AdministeredComponentClassSchemeItem }
     *     
     */
    public AdministeredComponentClassSchemeItem getTargetObjectClassClassification() {
        return targetObjectClassClassification;
    }

    /**
     * Sets the value of the targetObjectClassClassification property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdministeredComponentClassSchemeItem }
     *     
     */
    public void setTargetObjectClassClassification(AdministeredComponentClassSchemeItem value) {
        this.targetObjectClassClassification = value;
    }

    /**
     * Gets the value of the targetRole property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTargetRole() {
        return targetRole;
    }

    /**
     * Sets the value of the targetRole property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTargetRole(String value) {
        this.targetRole = value;
    }

}
