
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for QuestionConditionComponents complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="QuestionConditionComponents">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="constantValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="displayOrder" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="function" type="{urn:domain.cadsr.nci.nih.gov}Function"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="logicalOperand" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="operand" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="parentQuestionCondition" type="{urn:domain.cadsr.nci.nih.gov}QuestionCondition"/>
 *         &lt;element name="question" type="{urn:domain.cadsr.nci.nih.gov}Question"/>
 *         &lt;element name="questionCondition" type="{urn:domain.cadsr.nci.nih.gov}QuestionCondition"/>
 *         &lt;element name="validValue" type="{urn:domain.cadsr.nci.nih.gov}ValidValue"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "QuestionConditionComponents", propOrder = {
    "constantValue",
    "displayOrder",
    "function",
    "id",
    "logicalOperand",
    "operand",
    "parentQuestionCondition",
    "question",
    "questionCondition",
    "validValue"
})
public class QuestionConditionComponents {

    @XmlElement(required = true, nillable = true)
    protected String constantValue;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer displayOrder;
    @XmlElement(required = true, nillable = true)
    protected Function function;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, nillable = true)
    protected String logicalOperand;
    @XmlElement(required = true, nillable = true)
    protected String operand;
    @XmlElement(required = true, nillable = true)
    protected QuestionCondition parentQuestionCondition;
    @XmlElement(required = true, nillable = true)
    protected Question question;
    @XmlElement(required = true, nillable = true)
    protected QuestionCondition questionCondition;
    @XmlElement(required = true, nillable = true)
    protected ValidValue validValue;

    /**
     * Gets the value of the constantValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConstantValue() {
        return constantValue;
    }

    /**
     * Sets the value of the constantValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConstantValue(String value) {
        this.constantValue = value;
    }

    /**
     * Gets the value of the displayOrder property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getDisplayOrder() {
        return displayOrder;
    }

    /**
     * Sets the value of the displayOrder property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setDisplayOrder(Integer value) {
        this.displayOrder = value;
    }

    /**
     * Gets the value of the function property.
     * 
     * @return
     *     possible object is
     *     {@link Function }
     *     
     */
    public Function getFunction() {
        return function;
    }

    /**
     * Sets the value of the function property.
     * 
     * @param value
     *     allowed object is
     *     {@link Function }
     *     
     */
    public void setFunction(Function value) {
        this.function = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the logicalOperand property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLogicalOperand() {
        return logicalOperand;
    }

    /**
     * Sets the value of the logicalOperand property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLogicalOperand(String value) {
        this.logicalOperand = value;
    }

    /**
     * Gets the value of the operand property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOperand() {
        return operand;
    }

    /**
     * Sets the value of the operand property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOperand(String value) {
        this.operand = value;
    }

    /**
     * Gets the value of the parentQuestionCondition property.
     * 
     * @return
     *     possible object is
     *     {@link QuestionCondition }
     *     
     */
    public QuestionCondition getParentQuestionCondition() {
        return parentQuestionCondition;
    }

    /**
     * Sets the value of the parentQuestionCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link QuestionCondition }
     *     
     */
    public void setParentQuestionCondition(QuestionCondition value) {
        this.parentQuestionCondition = value;
    }

    /**
     * Gets the value of the question property.
     * 
     * @return
     *     possible object is
     *     {@link Question }
     *     
     */
    public Question getQuestion() {
        return question;
    }

    /**
     * Sets the value of the question property.
     * 
     * @param value
     *     allowed object is
     *     {@link Question }
     *     
     */
    public void setQuestion(Question value) {
        this.question = value;
    }

    /**
     * Gets the value of the questionCondition property.
     * 
     * @return
     *     possible object is
     *     {@link QuestionCondition }
     *     
     */
    public QuestionCondition getQuestionCondition() {
        return questionCondition;
    }

    /**
     * Sets the value of the questionCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link QuestionCondition }
     *     
     */
    public void setQuestionCondition(QuestionCondition value) {
        this.questionCondition = value;
    }

    /**
     * Gets the value of the validValue property.
     * 
     * @return
     *     possible object is
     *     {@link ValidValue }
     *     
     */
    public ValidValue getValidValue() {
        return validValue;
    }

    /**
     * Sets the value of the validValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link ValidValue }
     *     
     */
    public void setValidValue(ValidValue value) {
        this.validValue = value;
    }

}
