
package gov.nih.nci.cadsr.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for TriggerAction complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TriggerAction">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="action" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="administeredComponentClassSchemeItemCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="createdBy" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="criterionValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="dateCreated" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="dateModified" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="enforcedCondition" type="{urn:domain.cadsr.nci.nih.gov}QuestionCondition"/>
 *         &lt;element name="forcedValue" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="instruction" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="modifiedBy" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="protocolCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="questionCondition" type="{urn:domain.cadsr.nci.nih.gov}QuestionCondition"/>
 *         &lt;element name="sourceFormElement" type="{urn:domain.cadsr.nci.nih.gov}FormElement"/>
 *         &lt;element name="targetFormElement" type="{urn:domain.cadsr.nci.nih.gov}FormElement"/>
 *         &lt;element name="triggerRelationship" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TriggerAction", propOrder = {
    "action",
    "administeredComponentClassSchemeItemCollection",
    "createdBy",
    "criterionValue",
    "dateCreated",
    "dateModified",
    "enforcedCondition",
    "forcedValue",
    "id",
    "instruction",
    "modifiedBy",
    "protocolCollection",
    "questionCondition",
    "sourceFormElement",
    "targetFormElement",
    "triggerRelationship"
})
public class TriggerAction {

    @XmlElement(required = true, nillable = true)
    protected String action;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType administeredComponentClassSchemeItemCollection;
    @XmlElement(required = true, nillable = true)
    protected String createdBy;
    @XmlElement(required = true, nillable = true)
    protected String criterionValue;
    @XmlElement(required = true, nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar dateCreated;
    @XmlElement(required = true, nillable = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar dateModified;
    @XmlElement(required = true, nillable = true)
    protected QuestionCondition enforcedCondition;
    @XmlElement(required = true, nillable = true)
    protected String forcedValue;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, nillable = true)
    protected String instruction;
    @XmlElement(required = true, nillable = true)
    protected String modifiedBy;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType protocolCollection;
    @XmlElement(required = true, nillable = true)
    protected QuestionCondition questionCondition;
    @XmlElement(required = true, nillable = true)
    protected FormElement sourceFormElement;
    @XmlElement(required = true, nillable = true)
    protected FormElement targetFormElement;
    @XmlElement(required = true, nillable = true)
    protected String triggerRelationship;

    /**
     * Gets the value of the action property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAction() {
        return action;
    }

    /**
     * Sets the value of the action property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAction(String value) {
        this.action = value;
    }

    /**
     * Gets the value of the administeredComponentClassSchemeItemCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getAdministeredComponentClassSchemeItemCollection() {
        return administeredComponentClassSchemeItemCollection;
    }

    /**
     * Sets the value of the administeredComponentClassSchemeItemCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setAdministeredComponentClassSchemeItemCollection(ArrayOfXsdAnyType value) {
        this.administeredComponentClassSchemeItemCollection = value;
    }

    /**
     * Gets the value of the createdBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * Sets the value of the createdBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCreatedBy(String value) {
        this.createdBy = value;
    }

    /**
     * Gets the value of the criterionValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCriterionValue() {
        return criterionValue;
    }

    /**
     * Sets the value of the criterionValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCriterionValue(String value) {
        this.criterionValue = value;
    }

    /**
     * Gets the value of the dateCreated property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateCreated() {
        return dateCreated;
    }

    /**
     * Sets the value of the dateCreated property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateCreated(XMLGregorianCalendar value) {
        this.dateCreated = value;
    }

    /**
     * Gets the value of the dateModified property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDateModified() {
        return dateModified;
    }

    /**
     * Sets the value of the dateModified property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDateModified(XMLGregorianCalendar value) {
        this.dateModified = value;
    }

    /**
     * Gets the value of the enforcedCondition property.
     * 
     * @return
     *     possible object is
     *     {@link QuestionCondition }
     *     
     */
    public QuestionCondition getEnforcedCondition() {
        return enforcedCondition;
    }

    /**
     * Sets the value of the enforcedCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link QuestionCondition }
     *     
     */
    public void setEnforcedCondition(QuestionCondition value) {
        this.enforcedCondition = value;
    }

    /**
     * Gets the value of the forcedValue property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getForcedValue() {
        return forcedValue;
    }

    /**
     * Sets the value of the forcedValue property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setForcedValue(String value) {
        this.forcedValue = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the instruction property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInstruction() {
        return instruction;
    }

    /**
     * Sets the value of the instruction property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInstruction(String value) {
        this.instruction = value;
    }

    /**
     * Gets the value of the modifiedBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getModifiedBy() {
        return modifiedBy;
    }

    /**
     * Sets the value of the modifiedBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setModifiedBy(String value) {
        this.modifiedBy = value;
    }

    /**
     * Gets the value of the protocolCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getProtocolCollection() {
        return protocolCollection;
    }

    /**
     * Sets the value of the protocolCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setProtocolCollection(ArrayOfXsdAnyType value) {
        this.protocolCollection = value;
    }

    /**
     * Gets the value of the questionCondition property.
     * 
     * @return
     *     possible object is
     *     {@link QuestionCondition }
     *     
     */
    public QuestionCondition getQuestionCondition() {
        return questionCondition;
    }

    /**
     * Sets the value of the questionCondition property.
     * 
     * @param value
     *     allowed object is
     *     {@link QuestionCondition }
     *     
     */
    public void setQuestionCondition(QuestionCondition value) {
        this.questionCondition = value;
    }

    /**
     * Gets the value of the sourceFormElement property.
     * 
     * @return
     *     possible object is
     *     {@link FormElement }
     *     
     */
    public FormElement getSourceFormElement() {
        return sourceFormElement;
    }

    /**
     * Sets the value of the sourceFormElement property.
     * 
     * @param value
     *     allowed object is
     *     {@link FormElement }
     *     
     */
    public void setSourceFormElement(FormElement value) {
        this.sourceFormElement = value;
    }

    /**
     * Gets the value of the targetFormElement property.
     * 
     * @return
     *     possible object is
     *     {@link FormElement }
     *     
     */
    public FormElement getTargetFormElement() {
        return targetFormElement;
    }

    /**
     * Sets the value of the targetFormElement property.
     * 
     * @param value
     *     allowed object is
     *     {@link FormElement }
     *     
     */
    public void setTargetFormElement(FormElement value) {
        this.targetFormElement = value;
    }

    /**
     * Gets the value of the triggerRelationship property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTriggerRelationship() {
        return triggerRelationship;
    }

    /**
     * Sets the value of the triggerRelationship property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTriggerRelationship(String value) {
        this.triggerRelationship = value;
    }

}
