
package gov.nih.nci.cadsr.umlproject.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsr.domain.jaxb.ValueDomain;
import gov.nih.nci.cadsrapi.cadsrapi41.services.cadsrapi41service.jaxb.ArrayOfXsdAnyType;


/**
 * <p>Java class for AttributeTypeMetadata complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AttributeTypeMetadata">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="publicID" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="semanticMetadataCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="typeEnumerationCollection" type="{https://cadsrapi.nci.nih.gov/cadsrapi41/services/cadsrapi41Service}ArrayOf_xsd_anyType"/>
 *         &lt;element name="valueDomain" type="{urn:domain.cadsr.nci.nih.gov}ValueDomain"/>
 *         &lt;element name="valueDomainDataType" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="valueDomainLongName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AttributeTypeMetadata", propOrder = {
    "id",
    "publicID",
    "semanticMetadataCollection",
    "typeEnumerationCollection",
    "valueDomain",
    "valueDomainDataType",
    "valueDomainLongName",
    "version"
})
public class AttributeTypeMetadata {

    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, type = Long.class, nillable = true)
    protected Long publicID;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType semanticMetadataCollection;
    @XmlElement(required = true, nillable = true)
    protected ArrayOfXsdAnyType typeEnumerationCollection;
    @XmlElement(required = true, nillable = true)
    protected ValueDomain valueDomain;
    @XmlElement(required = true, nillable = true)
    protected String valueDomainDataType;
    @XmlElement(required = true, nillable = true)
    protected String valueDomainLongName;
    @XmlElement(required = true, type = Float.class, nillable = true)
    protected Float version;

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the publicID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getPublicID() {
        return publicID;
    }

    /**
     * Sets the value of the publicID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setPublicID(Long value) {
        this.publicID = value;
    }

    /**
     * Gets the value of the semanticMetadataCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getSemanticMetadataCollection() {
        return semanticMetadataCollection;
    }

    /**
     * Sets the value of the semanticMetadataCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setSemanticMetadataCollection(ArrayOfXsdAnyType value) {
        this.semanticMetadataCollection = value;
    }

    /**
     * Gets the value of the typeEnumerationCollection property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public ArrayOfXsdAnyType getTypeEnumerationCollection() {
        return typeEnumerationCollection;
    }

    /**
     * Sets the value of the typeEnumerationCollection property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfXsdAnyType }
     *     
     */
    public void setTypeEnumerationCollection(ArrayOfXsdAnyType value) {
        this.typeEnumerationCollection = value;
    }

    /**
     * Gets the value of the valueDomain property.
     * 
     * @return
     *     possible object is
     *     {@link ValueDomain }
     *     
     */
    public ValueDomain getValueDomain() {
        return valueDomain;
    }

    /**
     * Sets the value of the valueDomain property.
     * 
     * @param value
     *     allowed object is
     *     {@link ValueDomain }
     *     
     */
    public void setValueDomain(ValueDomain value) {
        this.valueDomain = value;
    }

    /**
     * Gets the value of the valueDomainDataType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getValueDomainDataType() {
        return valueDomainDataType;
    }

    /**
     * Sets the value of the valueDomainDataType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setValueDomainDataType(String value) {
        this.valueDomainDataType = value;
    }

    /**
     * Gets the value of the valueDomainLongName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getValueDomainLongName() {
        return valueDomainLongName;
    }

    /**
     * Sets the value of the valueDomainLongName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setValueDomainLongName(String value) {
        this.valueDomainLongName = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setVersion(Float value) {
        this.version = value;
    }

}
