
package gov.nih.nci.cadsr.umlproject.domain.jaxb;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import gov.nih.nci.cadsr.domain.jaxb.Concept;


/**
 * <p>Java class for SemanticMetadata complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SemanticMetadata">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="UMLAttributeMetadata" type="{urn:domain.umlproject.cadsr.nci.nih.gov}UMLAttributeMetadata"/>
 *         &lt;element name="UMLClassMetadata" type="{urn:domain.umlproject.cadsr.nci.nih.gov}UMLClassMetadata"/>
 *         &lt;element name="attributeTypeMetadata" type="{urn:domain.umlproject.cadsr.nci.nih.gov}AttributeTypeMetadata"/>
 *         &lt;element name="concept" type="{urn:domain.cadsr.nci.nih.gov}Concept"/>
 *         &lt;element name="conceptCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="conceptDefinition" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="conceptName" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="isPrimaryConcept" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="order" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="orderLevel" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="publicID" type="{http://www.w3.org/2001/XMLSchema}long"/>
 *         &lt;element name="typeEnumerationMetadata" type="{urn:domain.umlproject.cadsr.nci.nih.gov}TypeEnumerationMetadata"/>
 *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SemanticMetadata", propOrder = {
    "umlAttributeMetadata",
    "umlClassMetadata",
    "attributeTypeMetadata",
    "concept",
    "conceptCode",
    "conceptDefinition",
    "conceptName",
    "id",
    "isPrimaryConcept",
    "order",
    "orderLevel",
    "publicID",
    "typeEnumerationMetadata",
    "version"
})
public class SemanticMetadata {

    @XmlElement(name = "UMLAttributeMetadata", required = true, nillable = true)
    protected UMLAttributeMetadata umlAttributeMetadata;
    @XmlElement(name = "UMLClassMetadata", required = true, nillable = true)
    protected UMLClassMetadata umlClassMetadata;
    @XmlElement(required = true, nillable = true)
    protected AttributeTypeMetadata attributeTypeMetadata;
    @XmlElement(required = true, nillable = true)
    protected Concept concept;
    @XmlElement(required = true, nillable = true)
    protected String conceptCode;
    @XmlElement(required = true, nillable = true)
    protected String conceptDefinition;
    @XmlElement(required = true, nillable = true)
    protected String conceptName;
    @XmlElement(required = true, nillable = true)
    protected String id;
    @XmlElement(required = true, type = Boolean.class, nillable = true)
    protected Boolean isPrimaryConcept;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer order;
    @XmlElement(required = true, type = Integer.class, nillable = true)
    protected Integer orderLevel;
    @XmlElement(required = true, type = Long.class, nillable = true)
    protected Long publicID;
    @XmlElement(required = true, nillable = true)
    protected TypeEnumerationMetadata typeEnumerationMetadata;
    @XmlElement(required = true, type = Float.class, nillable = true)
    protected Float version;

    /**
     * Gets the value of the umlAttributeMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link UMLAttributeMetadata }
     *     
     */
    public UMLAttributeMetadata getUMLAttributeMetadata() {
        return umlAttributeMetadata;
    }

    /**
     * Sets the value of the umlAttributeMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link UMLAttributeMetadata }
     *     
     */
    public void setUMLAttributeMetadata(UMLAttributeMetadata value) {
        this.umlAttributeMetadata = value;
    }

    /**
     * Gets the value of the umlClassMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link UMLClassMetadata }
     *     
     */
    public UMLClassMetadata getUMLClassMetadata() {
        return umlClassMetadata;
    }

    /**
     * Sets the value of the umlClassMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link UMLClassMetadata }
     *     
     */
    public void setUMLClassMetadata(UMLClassMetadata value) {
        this.umlClassMetadata = value;
    }

    /**
     * Gets the value of the attributeTypeMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link AttributeTypeMetadata }
     *     
     */
    public AttributeTypeMetadata getAttributeTypeMetadata() {
        return attributeTypeMetadata;
    }

    /**
     * Sets the value of the attributeTypeMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link AttributeTypeMetadata }
     *     
     */
    public void setAttributeTypeMetadata(AttributeTypeMetadata value) {
        this.attributeTypeMetadata = value;
    }

    /**
     * Gets the value of the concept property.
     * 
     * @return
     *     possible object is
     *     {@link Concept }
     *     
     */
    public Concept getConcept() {
        return concept;
    }

    /**
     * Sets the value of the concept property.
     * 
     * @param value
     *     allowed object is
     *     {@link Concept }
     *     
     */
    public void setConcept(Concept value) {
        this.concept = value;
    }

    /**
     * Gets the value of the conceptCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConceptCode() {
        return conceptCode;
    }

    /**
     * Sets the value of the conceptCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConceptCode(String value) {
        this.conceptCode = value;
    }

    /**
     * Gets the value of the conceptDefinition property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConceptDefinition() {
        return conceptDefinition;
    }

    /**
     * Sets the value of the conceptDefinition property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConceptDefinition(String value) {
        this.conceptDefinition = value;
    }

    /**
     * Gets the value of the conceptName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getConceptName() {
        return conceptName;
    }

    /**
     * Sets the value of the conceptName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setConceptName(String value) {
        this.conceptName = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the isPrimaryConcept property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean getIsPrimaryConcept() {
        return isPrimaryConcept;
    }

    /**
     * Sets the value of the isPrimaryConcept property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setIsPrimaryConcept(Boolean value) {
        this.isPrimaryConcept = value;
    }

    /**
     * Gets the value of the order property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOrder() {
        return order;
    }

    /**
     * Sets the value of the order property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOrder(Integer value) {
        this.order = value;
    }

    /**
     * Gets the value of the orderLevel property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOrderLevel() {
        return orderLevel;
    }

    /**
     * Sets the value of the orderLevel property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOrderLevel(Integer value) {
        this.orderLevel = value;
    }

    /**
     * Gets the value of the publicID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getPublicID() {
        return publicID;
    }

    /**
     * Sets the value of the publicID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setPublicID(Long value) {
        this.publicID = value;
    }

    /**
     * Gets the value of the typeEnumerationMetadata property.
     * 
     * @return
     *     possible object is
     *     {@link TypeEnumerationMetadata }
     *     
     */
    public TypeEnumerationMetadata getTypeEnumerationMetadata() {
        return typeEnumerationMetadata;
    }

    /**
     * Sets the value of the typeEnumerationMetadata property.
     * 
     * @param value
     *     allowed object is
     *     {@link TypeEnumerationMetadata }
     *     
     */
    public void setTypeEnumerationMetadata(TypeEnumerationMetadata value) {
        this.typeEnumerationMetadata = value;
    }

    /**
     * Gets the value of the version property.
     * 
     * @return
     *     possible object is
     *     {@link Float }
     *     
     */
    public Float getVersion() {
        return version;
    }

    /**
     * Sets the value of the version property.
     * 
     * @param value
     *     allowed object is
     *     {@link Float }
     *     
     */
    public void setVersion(Float value) {
        this.version = value;
    }

}
