/*
 * Copyright (C) 2009 National Marrow Donor Program. All Rights Reserved.
 */

package net.agnis.cadsrapi41

class Association
extends Retriever
{
    String associationName

    Association(associationName)
    {
        this.associationName = associationName
    }

    def retrieve(WSClient wsClient, Object parentObj)
    {
        def source = wsClient.create(parentObj.class.name)
        source.id = parentObj.id
        def wsResult
        synchronized(wsClient)
        {
            wsResult = wsClient.getAssociation(source, this.associationName, 0)
        }
        return computeRetrievalResult(wsClient, wsResult.getAssociationReturn)
    }
}